Bug 99624

Summary: [PATCH] print/cups: update to 1.2.1
Product: Ports & Packages Reporter: mwisnicki+freebsd
Component: Individual Port(s)Assignee: Ion-Mihai "IOnut" Tetcu <itetcu>
Status: Closed FIXED    
Severity: Affects Only Me CC: asa
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
cups-1.2.1.patch none

Description mwisnicki+freebsd 2006-06-30 01:30:17 UTC
* Update to 1.2.1
   this update is critical because it unbreaks RAW printing so
   remote IPP and SAMBA works again (http://www.cups.org/str.php?L1667)
* Clean-up print/cups
* Fix MAN links
* Fix plist
* Use %%DOCSDIR%% macro
* Address ports/99460 by adding instructions to pkg-message

I would like to handle last point automatically but writing to /etc is
probably not allowed. To work-around this a group 'printing' could be
added to base system along with appropriate rules in /etc/defaults/devfs.rules.
This way print/cups-base (or any other print-server) will only have to add
its account to group 'printing' (or maybe use it as its default group?)

Should this question go to arch@ or current@ ?

This update was tested with local and remote printing using Windows
through SAMBA and IPP.

Port maintainer (asa@agava.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-06-30 01:30:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-30 06:48:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Did some cups commits recently.
Comment 3 mwisnicki 2006-07-01 23:04:37 UTC
Please also include following patch to pkg-descr (cups-lpr was merged
with cups):

--- cups-descr.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/print/cups.orig/pkg-descr /usr/ports/print/cups/pkg-descr
--- /usr/ports/print/cups.orig/pkg-descr        Thu Jun 22 22:16:06 2006
+++ /usr/ports/print/cups/pkg-descr     Sat Jul  1 23:55:42 2006
@@ -9,8 +9,7 @@
 browsing and PostScript Printer Description ("PPD") based printing
 options to support real-world printing under UNIX.
 
-CUPS provides the System V and Berkeley command-line interfaces. These are
-available in the cups-lpr port.
+CUPS provides the System V and Berkeley command-line interfaces.
 
 CUPS also supports a customized version of GNU Ghostscript (currently based
 off GNU Ghostscript 5.50) and an image file RIP that are used to support
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/pkg-descr /usr/ports/print/cups-base/pkg-descr
--- /usr/ports/print/cups-base.orig/pkg-descr   Thu Jun 22 22:16:05 2006
+++ /usr/ports/print/cups-base/pkg-descr        Sat Jul  1 23:54:01 2006
@@ -9,8 +9,7 @@
 browsing and PostScript Printer Description ("PPD") based printing
 options to support real-world printing under UNIX.
 
-CUPS provides the System V and Berkeley command-line interfaces. These are
-available in the cups-lpr port.
+CUPS provides the System V and Berkeley command-line interfaces.
 
 CUPS also supports a customized version of GNU Ghostscript (currently based
 off GNU Ghostscript 5.50) and an image file RIP that are used to support
--- cups-descr.patch ends here ---
Comment 4 mwisnicki 2006-07-03 16:33:01 UTC
Just noticed that my first patch somehow got mangled and doesn't apply,
sorry.

Here is regenerated patch that supersedes everything above and expands
pkg-message to also cover LPT devices [ports/99745].

In case it gets mangled again I'm also putting it here:
http://pnet.one.pl/~marcin/freebsd/diffs/cups-1.2.1-1.patch


--- cups-1.2.1-1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/print/cups.orig/Makefile /usr/ports/print/cups/Makefile
--- /usr/ports/print/cups.orig/Makefile	Thu Jun 22 22:16:06 2006
+++ /usr/ports/print/cups/Makefile	Mon Jul  3 17:09:04 2006
@@ -8,7 +8,7 @@
 #
 
 PORTNAME=	cups
-PORTVERSION=	1.2.0
+PORTVERSION=	1.2.1
 CATEGORIES=	print
 MASTER_SITES=	# empty
 DISTFILES=	# empty
diff -ruN --exclude=CVS /usr/ports/print/cups.orig/distinfo /usr/ports/print/cups/distinfo
--- /usr/ports/print/cups.orig/distinfo	Mon Jan 24 18:22:59 2005
+++ /usr/ports/print/cups/distinfo	Thu Jan  1 01:00:00 1970
@@ -1,2 +0,0 @@
-MD5 (cups-1.1.23-source.tar.bz2) = 4ce09b1dce09b6b9398af0daae9adf63
-SIZE (cups-1.1.23-source.tar.bz2) = 8705521
diff -ruN --exclude=CVS /usr/ports/print/cups.orig/pkg-descr /usr/ports/print/cups/pkg-descr
--- /usr/ports/print/cups.orig/pkg-descr	Thu Jun 22 22:16:06 2006
+++ /usr/ports/print/cups/pkg-descr	Mon Jul  3 17:15:16 2006
@@ -9,8 +9,7 @@
 browsing and PostScript Printer Description ("PPD") based printing
 options to support real-world printing under UNIX.
 
-CUPS provides the System V and Berkeley command-line interfaces. These are
-available in the cups-lpr port.
+CUPS provides the System V and Berkeley command-line interfaces.
 
 CUPS also supports a customized version of GNU Ghostscript (currently based
 off GNU Ghostscript 5.50) and an image file RIP that are used to support
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/Makefile /usr/ports/print/cups-base/Makefile
--- /usr/ports/print/cups-base.orig/Makefile	Sat Jun 24 10:14:19 2006
+++ /usr/ports/print/cups-base/Makefile	Mon Jul  3 17:07:42 2006
@@ -8,8 +8,7 @@
 #
 
 PORTNAME=	cups-base
-PORTVERSION=	1.2.0
-PORTREVISION=	2
+PORTVERSION=	1.2.1
 CATEGORIES=	print
 MASTER_SITES=	ftp://ftp.funet.fi/pub/mirrors/ftp.easysw.com/pub/cups/${PORTVERSION}/ \
 		ftp://ftp.ntua.gr/pub/gnu/cups/${PORTVERSION}/ \
@@ -41,6 +40,7 @@
 CUPS_DOCSDIR=	${PREFIX}/share/doc/cups
 CUPS_SPOOLDIR=	/var/spool/cups
 CUPS_SOCKET?=	/var/run/cups.sock
+DOCSDIR=	${CUPS_DOCSDIR}
 WRKSRC=		${WRKDIR}/cups-${PORTVERSION}
 
 # file, dir ownership
@@ -127,7 +127,9 @@
 	lpadmin.$(MAN8EXT) \
 	lpinfo.$(MAN8EXT) \
 	lpmove.$(MAN8EXT) \
-	lpc.$(MAN8EXT) \
+	lpc.$(MAN8EXT)
+MLINKS=	accept.$(MAN8EXT) reject.$(MAN8EXT) \
+	cupsenable.$(MAN8EXT) cupsdisable.$(MAN8EXT)
 
 pre-configure::
 	@${ECHO_MSG} Configuring CUPS with options:
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/distinfo /usr/ports/print/cups-base/distinfo
--- /usr/ports/print/cups-base.orig/distinfo	Thu Jun 22 22:16:05 2006
+++ /usr/ports/print/cups-base/distinfo	Mon Jul  3 17:07:42 2006
@@ -1,3 +1,3 @@
-MD5 (cups-1.2.0-source.tar.bz2) = a168b0b1c8bb946060e659e1df2927c5
-SHA256 (cups-1.2.0-source.tar.bz2) = 893a91d96e68de51f767d97d36d2d321320b3611b7178ea9a9d17ad2777f5f9f
-SIZE (cups-1.2.0-source.tar.bz2) = 3456476
+MD5 (cups-1.2.1-source.tar.bz2) = f804995e3f469bdefedc033510f6e6a5
+SHA256 (cups-1.2.1-source.tar.bz2) = 10fb273b8118858fdce795608065860865432b2d9f1016b53fff1eb340385e45
+SIZE (cups-1.2.1-source.tar.bz2) = 3475342
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/files/patch-Makefile /usr/ports/print/cups-base/files/patch-Makefile
--- /usr/ports/print/cups-base.orig/files/patch-Makefile	Thu Jun 22 22:16:06 2006
+++ /usr/ports/print/cups-base/files/patch-Makefile	Mon Jul  3 17:07:42 2006
@@ -1,11 +1,11 @@
---- Makefile.orig	Thu May 18 13:38:50 2006
-+++ Makefile	Thu May 18 13:40:07 2006
-@@ -99,56 +99,11 @@
+--- Makefile.orig	Fri May 19 14:44:29 2006
++++ Makefile	Thu Jun 29 22:07:22 2006
+@@ -99,57 +99,10 @@
  	echo Installing cups-config script...
  	$(INSTALL_DIR) -m 755 $(BINDIR)
  	$(INSTALL_SCRIPT) cups-config $(BINDIR)/cups-config
--	echo Installing startup script...
 -	if test "x$(INITDIR)" != x; then \
+-		echo Installing init scripts...; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/init.d; \
 -		$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDIR)/init.d/cups; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc0.d; \
@@ -20,13 +20,16 @@
 -	if test "x$(INITDIR)" = x -a "x$(INITDDIR)" != x; then \
 -		$(INSTALL_DIR) $(BUILDROOT)$(INITDDIR); \
 -		if test "$(INITDDIR)" = "/System/Library/StartupItems/PrintingServices"; then \
+-			echo Installing StartupItems files...; \
 -			$(INSTALL_SCRIPT) init/PrintingServices $(BUILDROOT)$(INITDDIR)/PrintingServices; \
 -			$(INSTALL_DATA) init/StartupParameters.plist $(BUILDROOT)$(INITDDIR)/StartupParameters.plist; \
 -			$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDDIR)/Resources/English.lproj; \
 -			$(INSTALL_DATA) init/Localizable.strings $(BUILDROOT)$(INITDDIR)/Resources/English.lproj/Localizable.strings; \
 -		elif test "$(INITDDIR)" = "/System/Library/LaunchDaemons"; then \
+-			echo Installing LaunchDaemons configuration file...; \
 -			$(INSTALL_DATA) init/org.cups.cupsd.plist $(BUILDROOT)$(DEFAULT_LAUNCHD_CONF); \
 -		else \
+-			echo Installing RC script...; \
 -			$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDDIR)/cups; \
 -		fi \
 -	fi
@@ -34,7 +37,7 @@
  		echo Installing cups.conf in $(DBUSDIR)...;\
  		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(DBUSDIR); \
  		$(INSTALL_DATA) packaging/cups-dbus.conf $(BUILDROOT)$(DBUSDIR)/cups.conf; \
- 	fi
+-	fi
 -	if test "x$(XINETD)" != x; then \
 -		echo Installing xinetd configuration file for cups-lpd...; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(XINETD); \
@@ -52,8 +55,6 @@
 -		$(INSTALL_DATA) desktop/cups-64.png $(BUILDROOT)/usr/share/icons/hicolor/64x64/apps/cups.png; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)/usr/share/icons/hicolor/128x128/apps; \
 -		$(INSTALL_DATA) desktop/cups-128.png $(BUILDROOT)/usr/share/icons/hicolor/128x128/apps/cups.png; \
--	fi
--
+ 	fi
+ 
  
- #
- # Install source and header files...
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/pkg-descr /usr/ports/print/cups-base/pkg-descr
--- /usr/ports/print/cups-base.orig/pkg-descr	Thu Jun 22 22:16:05 2006
+++ /usr/ports/print/cups-base/pkg-descr	Mon Jul  3 17:15:16 2006
@@ -9,8 +9,7 @@
 browsing and PostScript Printer Description ("PPD") based printing
 options to support real-world printing under UNIX.
 
-CUPS provides the System V and Berkeley command-line interfaces. These are
-available in the cups-lpr port.
+CUPS provides the System V and Berkeley command-line interfaces.
 
 CUPS also supports a customized version of GNU Ghostscript (currently based
 off GNU Ghostscript 5.50) and an image file RIP that are used to support
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/pkg-message /usr/ports/print/cups-base/pkg-message
--- /usr/ports/print/cups-base.orig/pkg-message	Thu Jun 22 22:16:05 2006
+++ /usr/ports/print/cups-base/pkg-message	Mon Jul  3 17:16:49 2006
@@ -2,7 +2,23 @@
 PLEASE NOTE:
 ============
 
-To enable printing under Gimp do the following:
+To enable printing with USB or LPT printer:
+
+1) Add following to /etc/devfs.rules (create if it doesn't exits):
+
+[system=10]
+add path 'unlpt*' mode 0660 group cups
+add path 'ulpt*' mode 0660 group cups
+add path 'lpt*' mode 0660 group cups
+
+2) And following to /etc/rc.conf:
+
+devfs_system_ruleset="system"
+
+3) Restart devfs: /etc/rc.d/devfs restart
+
+To enable printing under Gimp and MS-Windows clients do the following:
+
 1) Uncomment application/octet-stream line in mime.types
 2) Uncomment application/octet-stream line in mime.convs
 3) Restart cupsd
diff -ruN --exclude=CVS /usr/ports/print/cups-base.orig/pkg-plist /usr/ports/print/cups-base/pkg-plist
--- /usr/ports/print/cups-base.orig/pkg-plist	Thu Jun 22 22:16:06 2006
+++ /usr/ports/print/cups-base/pkg-plist	Mon Jul  3 17:07:42 2006
@@ -43,363 +43,361 @@
 lib/libcups.so.2
 lib/libcupsimage.so
 lib/libcupsimage.so.2
-@comment Put man links here
-man/man8/reject.8
-man/man8/cupsdisable.8
 sbin/cupsdisable
 sbin/cupsenable
 sbin/reject
-share/doc/cups/cups.css
-share/doc/cups/cups-printable.css
-share/doc/cups/favicon.ico
-share/doc/cups/index.html
-share/doc/cups/robots.txt
-share/doc/cups/help/api-array.html
-share/doc/cups/help/api-cups.html
-share/doc/cups/help/api-filedir.html
-share/doc/cups/help/api-filter.html
-share/doc/cups/help/api-httpipp.html
-share/doc/cups/help/api-ppd.html
-share/doc/cups/help/api-raster.html
-share/doc/cups/help/cgi.html
-share/doc/cups/help/glossary.html
-share/doc/cups/help/license.html
-share/doc/cups/help/man-accept.html
-share/doc/cups/help/man-backend.html
-share/doc/cups/help/man-cancel.html
-share/doc/cups/help/man-classes.conf.html
-share/doc/cups/help/man-client.conf.html
-share/doc/cups/help/man-cups-config.html
-share/doc/cups/help/man-cups-lpd.html
-share/doc/cups/help/man-cups-polld.html
-share/doc/cups/help/man-cupsaddsmb.html
-share/doc/cups/help/man-cupsd.conf.html
-share/doc/cups/help/man-filter.html
-share/doc/cups/help/man-mime.convs.html
-share/doc/cups/help/man-mime.types.html
-share/doc/cups/help/man-printers.conf.html
-share/doc/cups/help/network.html
-share/doc/cups/help/options.html
-share/doc/cups/help/overview.html
-share/doc/cups/help/ref-access_log.html
-share/doc/cups/help/ref-classes-conf.html
-share/doc/cups/help/ref-client-conf.html
-share/doc/cups/help/ref-cupsd-conf.html
-share/doc/cups/help/ref-error_log.html
-share/doc/cups/help/ref-page_log.html
-share/doc/cups/help/ref-printers-conf.html
-share/doc/cups/help/ref-snmp-conf.html
-share/doc/cups/help/ref-subscriptions-conf.html
-share/doc/cups/help/security.html
-share/doc/cups/help/spec-cmp.html
-share/doc/cups/help/spec-command.html
-share/doc/cups/help/spec-design.html
-share/doc/cups/help/spec-ipp.html
-share/doc/cups/help/spec-ppd.html
-share/doc/cups/help/spec-raster.html
-share/doc/cups/help/spec-stp.html
-share/doc/cups/help/standard.html
-share/doc/cups/help/translation.html
-share/doc/cups/help/whatsnew.html
-share/doc/cups/help/man-cupsd.html
-share/doc/cups/help/man-cupsenable.html
-share/doc/cups/help/man-cupstestdsc.html
-share/doc/cups/help/man-cupstestppd.html
-share/doc/cups/help/man-lp.html
-share/doc/cups/help/man-lpadmin.html
-share/doc/cups/help/man-lpc.html
-share/doc/cups/help/man-lpinfo.html
-share/doc/cups/help/man-lpmove.html
-share/doc/cups/help/man-lpoptions.html
-share/doc/cups/help/man-lppasswd.html
-share/doc/cups/help/man-lpq.html
-share/doc/cups/help/man-lpr.html
-share/doc/cups/help/man-lprm.html
-share/doc/cups/help/man-lpstat.html
-share/doc/cups/images/bottom-left.gif
-share/doc/cups/images/bottom-right.gif
-share/doc/cups/images/classes.gif
-share/doc/cups/images/cups-block-diagram.gif
-share/doc/cups/images/esp-logo.gif
-share/doc/cups/images/happy.gif
-share/doc/cups/images/logo.gif
-share/doc/cups/images/printer-idle.gif
-share/doc/cups/images/printer-processing.gif
-share/doc/cups/images/printer-stopped.gif
-share/doc/cups/images/smiley.jpg
-share/doc/cups/images/tab-left.gif
-share/doc/cups/images/tab-right.gif
-share/doc/cups/images/top-left.gif
-share/doc/cups/images/top-middle.gif
-share/doc/cups/images/top-right.gif
-share/doc/cups/images/web-add-this-printer.gif
-share/doc/cups/images/web-password.gif
-share/doc/cups/images/web-test-page.gif
-share/doc/cups/images/web-printer-driver.gif
-share/doc/cups/images/web-printer-status.gif
-share/doc/cups/images/web-set-printer-options.gif
-share/doc/cups/images/button-accept-jobs.gif
-share/doc/cups/images/button-add-class.gif
-share/doc/cups/images/button-add-printer.gif
-share/doc/cups/images/button-add-this-printer.gif
-share/doc/cups/images/button-cancel-all-jobs.gif
-share/doc/cups/images/button-cancel-job.gif
-share/doc/cups/images/button-change-settings.gif
-share/doc/cups/images/button-clean-print-heads.gif
-share/doc/cups/images/button-clear.gif
-share/doc/cups/images/button-continue.gif
-share/doc/cups/images/button-delete-class.gif
-share/doc/cups/images/button-delete-printer.gif
-share/doc/cups/images/button-edit-configuration-file.gif
-share/doc/cups/images/button-export-samba.gif
-share/doc/cups/images/button-help.gif
-share/doc/cups/images/button-hold-job.gif
-share/doc/cups/images/button-manage-classes.gif
-share/doc/cups/images/button-manage-jobs.gif
-share/doc/cups/images/button-manage-printers.gif
-share/doc/cups/images/button-manage-server.gif
-share/doc/cups/images/button-modify-class.gif
-share/doc/cups/images/button-modify-printer.gif
-share/doc/cups/images/button-move-job.gif
-share/doc/cups/images/button-move-jobs.gif
-share/doc/cups/images/button-print-self-test-page.gif
-share/doc/cups/images/button-print-test-page.gif
-share/doc/cups/images/button-publish-printer.gif
-share/doc/cups/images/button-reject-jobs.gif
-share/doc/cups/images/button-release-job.gif
-share/doc/cups/images/button-restart-job.gif
-share/doc/cups/images/button-save-changes.gif
-share/doc/cups/images/button-search.gif
-share/doc/cups/images/button-set-allowed-users.gif
-share/doc/cups/images/button-set-as-default.gif
-share/doc/cups/images/button-set-printer-options.gif
-share/doc/cups/images/button-show-active.gif
-share/doc/cups/images/button-show-all.gif
-share/doc/cups/images/button-show-completed.gif
-share/doc/cups/images/button-show-next.gif
-share/doc/cups/images/button-show-previous.gif
-share/doc/cups/images/button-sort-ascending.gif
-share/doc/cups/images/button-sort-descending.gif
-share/doc/cups/images/button-start-class.gif
-share/doc/cups/images/button-start-printer.gif
-share/doc/cups/images/button-stop-class.gif
-share/doc/cups/images/button-stop-printer.gif
-share/doc/cups/images/button-unpublish-printer.gif
-share/doc/cups/images/button-use-default-config.gif
-share/doc/cups/images/button-view-access-log.gif
-share/doc/cups/images/button-view-error-log.gif
-share/doc/cups/images/button-view-page-log.gif
-share/doc/cups/images/button-view-printable-version.gif
-share/doc/cups/es/images/button-accept-jobs.gif
-share/doc/cups/es/images/button-add-class.gif
-share/doc/cups/es/images/button-add-printer.gif
-share/doc/cups/es/images/button-add-this-printer.gif
-share/doc/cups/es/images/button-cancel-all-jobs.gif
-share/doc/cups/es/images/button-cancel-job.gif
-share/doc/cups/es/images/button-change-settings.gif
-share/doc/cups/es/images/button-clean-print-heads.gif
-share/doc/cups/es/images/button-clear.gif
-share/doc/cups/es/images/button-continue.gif
-share/doc/cups/es/images/button-delete-class.gif
-share/doc/cups/es/images/button-delete-printer.gif
-share/doc/cups/es/images/button-edit-configuration-file.gif
-share/doc/cups/es/images/button-export-samba.gif
-share/doc/cups/es/images/button-help.gif
-share/doc/cups/es/images/button-hold-job.gif
-share/doc/cups/es/images/button-manage-classes.gif
-share/doc/cups/es/images/button-manage-jobs.gif
-share/doc/cups/es/images/button-manage-printers.gif
-share/doc/cups/es/images/button-manage-server.gif
-share/doc/cups/es/images/button-modify-class.gif
-share/doc/cups/es/images/button-modify-printer.gif
-share/doc/cups/es/images/button-move-job.gif
-share/doc/cups/es/images/button-move-jobs.gif
-share/doc/cups/es/images/button-print-self-test-page.gif
-share/doc/cups/es/images/button-print-test-page.gif
-share/doc/cups/es/images/button-publish-printer.gif
-share/doc/cups/es/images/button-reject-jobs.gif
-share/doc/cups/es/images/button-release-job.gif
-share/doc/cups/es/images/button-restart-job.gif
-share/doc/cups/es/images/button-save-changes.gif
-share/doc/cups/es/images/button-search.gif
-share/doc/cups/es/images/button-set-allowed-users.gif
-share/doc/cups/es/images/button-set-as-default.gif
-share/doc/cups/es/images/button-set-printer-options.gif
-share/doc/cups/es/images/button-show-active.gif
-share/doc/cups/es/images/button-show-all.gif
-share/doc/cups/es/images/button-show-completed.gif
-share/doc/cups/es/images/button-show-next.gif
-share/doc/cups/es/images/button-show-previous.gif
-share/doc/cups/es/images/button-sort-ascending.gif
-share/doc/cups/es/images/button-sort-descending.gif
-share/doc/cups/es/images/button-start-class.gif
-share/doc/cups/es/images/button-start-printer.gif
-share/doc/cups/es/images/button-stop-class.gif
-share/doc/cups/es/images/button-stop-printer.gif
-share/doc/cups/es/images/button-unpublish-printer.gif
-share/doc/cups/es/images/button-use-default-config.gif
-share/doc/cups/es/images/button-view-access-log.gif
-share/doc/cups/es/images/button-view-error-log.gif
-share/doc/cups/es/images/button-view-page-log.gif
-share/doc/cups/es/images/button-view-printable-version.gif
-share/doc/cups/es/index.html
-share/doc/cups/ja/images/button-accept-jobs.gif
-share/doc/cups/ja/images/button-add-class.gif
-share/doc/cups/ja/images/button-add-printer.gif
-share/doc/cups/ja/images/button-add-this-printer.gif
-share/doc/cups/ja/images/button-cancel-all-jobs.gif
-share/doc/cups/ja/images/button-cancel-job.gif
-share/doc/cups/ja/images/button-change-settings.gif
-share/doc/cups/ja/images/button-continue.gif
-share/doc/cups/ja/images/button-delete-class.gif
-share/doc/cups/ja/images/button-delete-printer.gif
-share/doc/cups/ja/images/button-edit-configuration-file.gif
-share/doc/cups/ja/images/button-export-samba.gif
-share/doc/cups/ja/images/button-help.gif
-share/doc/cups/ja/images/button-hold-job.gif
-share/doc/cups/ja/images/button-move-job.gif
-share/doc/cups/ja/images/button-manage-classes.gif
-share/doc/cups/ja/images/button-manage-jobs.gif
-share/doc/cups/ja/images/button-manage-printers.gif
-share/doc/cups/ja/images/button-manage-server.gif
-share/doc/cups/ja/images/button-modify-class.gif
-share/doc/cups/ja/images/button-modify-printer.gif
-share/doc/cups/ja/images/button-move-jobs.gif
-share/doc/cups/ja/images/button-print-test-page.gif
-share/doc/cups/ja/images/button-publish-printer.gif
-share/doc/cups/ja/images/button-reject-jobs.gif
-share/doc/cups/ja/images/button-release-job.gif
-share/doc/cups/ja/images/button-restart-job.gif
-share/doc/cups/ja/images/button-save-changes.gif
-share/doc/cups/ja/images/button-search.gif
-share/doc/cups/ja/images/button-set-allowed-users.gif
-share/doc/cups/ja/images/button-set-as-default.gif
-share/doc/cups/ja/images/button-set-printer-options.gif
-share/doc/cups/ja/images/button-show-active.gif
-share/doc/cups/ja/images/button-show-all.gif
-share/doc/cups/ja/images/button-show-completed.gif
-share/doc/cups/ja/images/button-show-next.gif
-share/doc/cups/ja/images/button-show-previous.gif
-share/doc/cups/ja/images/button-sort-ascending.gif
-share/doc/cups/ja/images/button-sort-descending.gif
-share/doc/cups/ja/images/button-start-class.gif
-share/doc/cups/ja/images/button-start-printer.gif
-share/doc/cups/ja/images/button-stop-class.gif
-share/doc/cups/ja/images/button-stop-printer.gif
-share/doc/cups/ja/images/button-unpublish-printer.gif
-share/doc/cups/ja/images/button-use-default-config.gif
-share/doc/cups/ja/images/button-view-access-log.gif
-share/doc/cups/ja/images/button-view-error-log.gif
-share/doc/cups/ja/images/button-view-page-log.gif
-share/doc/cups/ja/index.html
-share/doc/cups/pl/images/button-accept-jobs.gif
-share/doc/cups/pl/images/button-add-class.gif
-share/doc/cups/pl/images/button-add-printer.gif
-share/doc/cups/pl/images/button-add-this-printer.gif
-share/doc/cups/pl/images/button-cancel-all-jobs.gif
-share/doc/cups/pl/images/button-cancel-job.gif
-share/doc/cups/pl/images/button-change-settings.gif
-share/doc/cups/pl/images/button-clean-print-heads.gif
-share/doc/cups/pl/images/button-clear.gif
-share/doc/cups/pl/images/button-continue.gif
-share/doc/cups/pl/images/button-delete-class.gif
-share/doc/cups/pl/images/button-delete-printer.gif
-share/doc/cups/pl/images/button-edit-configuration-file.gif
-share/doc/cups/pl/images/button-export-samba.gif
-share/doc/cups/pl/images/button-help.gif
-share/doc/cups/pl/images/button-hold-job.gif
-share/doc/cups/pl/images/button-manage-classes.gif
-share/doc/cups/pl/images/button-manage-jobs.gif
-share/doc/cups/pl/images/button-manage-printers.gif
-share/doc/cups/pl/images/button-manage-server.gif
-share/doc/cups/pl/images/button-modify-class.gif
-share/doc/cups/pl/images/button-modify-printer.gif
-share/doc/cups/pl/images/button-move-job.gif
-share/doc/cups/pl/images/button-move-jobs.gif
-share/doc/cups/pl/images/button-print-self-test-page.gif
-share/doc/cups/pl/images/button-print-test-page.gif
-share/doc/cups/pl/images/button-publish-printer.gif
-share/doc/cups/pl/images/button-reject-jobs.gif
-share/doc/cups/pl/images/button-release-job.gif
-share/doc/cups/pl/images/button-restart-job.gif
-share/doc/cups/pl/images/button-save-changes.gif
-share/doc/cups/pl/images/button-search.gif
-share/doc/cups/pl/images/button-set-allowed-users.gif
-share/doc/cups/pl/images/button-set-as-default.gif
-share/doc/cups/pl/images/button-set-printer-options.gif
-share/doc/cups/pl/images/button-show-active.gif
-share/doc/cups/pl/images/button-show-all.gif
-share/doc/cups/pl/images/button-show-completed.gif
-share/doc/cups/pl/images/button-show-next.gif
-share/doc/cups/pl/images/button-show-previous.gif
-share/doc/cups/pl/images/button-sort-ascending.gif
-share/doc/cups/pl/images/button-sort-descending.gif
-share/doc/cups/pl/images/button-start-class.gif
-share/doc/cups/pl/images/button-start-printer.gif
-share/doc/cups/pl/images/button-stop-class.gif
-share/doc/cups/pl/images/button-stop-printer.gif
-share/doc/cups/pl/images/button-unpublish-printer.gif
-share/doc/cups/pl/images/button-use-default-config.gif
-share/doc/cups/pl/images/button-view-access-log.gif
-share/doc/cups/pl/images/button-view-error-log.gif
-share/doc/cups/pl/images/button-view-page-log.gif
-share/doc/cups/pl/images/button-view-printable-version.gif
-share/doc/cups/pl/index.html
-share/doc/cups/sv/images/button-accept-jobs.gif
-share/doc/cups/sv/images/button-add-class.gif
-share/doc/cups/sv/images/button-add-printer.gif
-share/doc/cups/sv/images/button-add-this-printer.gif
-share/doc/cups/sv/images/button-cancel-all-jobs.gif
-share/doc/cups/sv/images/button-cancel-job.gif
-share/doc/cups/sv/images/button-change-settings.gif
-share/doc/cups/sv/images/button-clean-print-heads.gif
-share/doc/cups/sv/images/button-clear.gif
-share/doc/cups/sv/images/button-continue.gif
-share/doc/cups/sv/images/button-delete-class.gif
-share/doc/cups/sv/images/button-delete-printer.gif
-share/doc/cups/sv/images/button-edit-configuration-file.gif
-share/doc/cups/sv/images/button-export-samba.gif
-share/doc/cups/sv/images/button-help.gif
-share/doc/cups/sv/images/button-hold-job.gif
-share/doc/cups/sv/images/button-manage-classes.gif
-share/doc/cups/sv/images/button-manage-jobs.gif
-share/doc/cups/sv/images/button-manage-printers.gif
-share/doc/cups/sv/images/button-manage-server.gif
-share/doc/cups/sv/images/button-modify-class.gif
-share/doc/cups/sv/images/button-modify-printer.gif
-share/doc/cups/sv/images/button-move-job.gif
-share/doc/cups/sv/images/button-move-jobs.gif
-share/doc/cups/sv/images/button-print-self-test-page.gif
-share/doc/cups/sv/images/button-print-test-page.gif
-share/doc/cups/sv/images/button-publish-printer.gif
-share/doc/cups/sv/images/button-reject-jobs.gif
-share/doc/cups/sv/images/button-release-job.gif
-share/doc/cups/sv/images/button-restart-job.gif
-share/doc/cups/sv/images/button-save-changes.gif
-share/doc/cups/sv/images/button-search.gif
-share/doc/cups/sv/images/button-set-allowed-users.gif
-share/doc/cups/sv/images/button-set-as-default.gif
-share/doc/cups/sv/images/button-set-printer-options.gif
-share/doc/cups/sv/images/button-show-active.gif
-share/doc/cups/sv/images/button-show-all.gif
-share/doc/cups/sv/images/button-show-completed.gif
-share/doc/cups/sv/images/button-show-next.gif
-share/doc/cups/sv/images/button-show-previous.gif
-share/doc/cups/sv/images/button-sort-ascending.gif
-share/doc/cups/sv/images/button-sort-descending.gif
-share/doc/cups/sv/images/button-start-class.gif
-share/doc/cups/sv/images/button-start-printer.gif
-share/doc/cups/sv/images/button-stop-class.gif
-share/doc/cups/sv/images/button-stop-printer.gif
-share/doc/cups/sv/images/button-unpublish-printer.gif
-share/doc/cups/sv/images/button-use-default-config.gif
-share/doc/cups/sv/images/button-view-access-log.gif
-share/doc/cups/sv/images/button-view-error-log.gif
-share/doc/cups/sv/images/button-view-page-log.gif
-share/doc/cups/sv/images/button-view-printable-version.gif
-share/doc/cups/sv/index.html
+%%DOCSDIR%%/cups.css
+%%DOCSDIR%%/cups-printable.css
+%%DOCSDIR%%/favicon.ico
+%%DOCSDIR%%/index.html
+%%DOCSDIR%%/robots.txt
+%%DOCSDIR%%/help/api-array.html
+%%DOCSDIR%%/help/api-cups.html
+%%DOCSDIR%%/help/api-filedir.html
+%%DOCSDIR%%/help/api-filter.html
+%%DOCSDIR%%/help/api-httpipp.html
+%%DOCSDIR%%/help/api-ppd.html
+%%DOCSDIR%%/help/api-raster.html
+%%DOCSDIR%%/help/cgi.html
+%%DOCSDIR%%/help/glossary.html
+%%DOCSDIR%%/help/license.html
+%%DOCSDIR%%/help/man-accept.html
+%%DOCSDIR%%/help/man-backend.html
+%%DOCSDIR%%/help/man-cancel.html
+%%DOCSDIR%%/help/man-classes.conf.html
+%%DOCSDIR%%/help/man-client.conf.html
+%%DOCSDIR%%/help/man-cups-config.html
+%%DOCSDIR%%/help/man-cups-lpd.html
+%%DOCSDIR%%/help/man-cups-polld.html
+%%DOCSDIR%%/help/man-cupsaddsmb.html
+%%DOCSDIR%%/help/man-cupsd.conf.html
+%%DOCSDIR%%/help/man-filter.html
+%%DOCSDIR%%/help/man-mime.convs.html
+%%DOCSDIR%%/help/man-mime.types.html
+%%DOCSDIR%%/help/man-printers.conf.html
+%%DOCSDIR%%/help/network.html
+%%DOCSDIR%%/help/options.html
+%%DOCSDIR%%/help/overview.html
+%%DOCSDIR%%/help/ref-access_log.html
+%%DOCSDIR%%/help/ref-classes-conf.html
+%%DOCSDIR%%/help/ref-client-conf.html
+%%DOCSDIR%%/help/ref-cupsd-conf.html
+%%DOCSDIR%%/help/ref-error_log.html
+%%DOCSDIR%%/help/ref-page_log.html
+%%DOCSDIR%%/help/ref-printers-conf.html
+%%DOCSDIR%%/help/ref-snmp-conf.html
+%%DOCSDIR%%/help/ref-subscriptions-conf.html
+%%DOCSDIR%%/help/security.html
+%%DOCSDIR%%/help/spec-cmp.html
+%%DOCSDIR%%/help/spec-command.html
+%%DOCSDIR%%/help/spec-design.html
+%%DOCSDIR%%/help/spec-ipp.html
+%%DOCSDIR%%/help/spec-ppd.html
+%%DOCSDIR%%/help/spec-raster.html
+%%DOCSDIR%%/help/spec-stp.html
+%%DOCSDIR%%/help/standard.html
+%%DOCSDIR%%/help/translation.html
+%%DOCSDIR%%/help/whatsnew.html
+%%DOCSDIR%%/help/man-cupsd.html
+%%DOCSDIR%%/help/man-cupsenable.html
+%%DOCSDIR%%/help/man-cupstestdsc.html
+%%DOCSDIR%%/help/man-cupstestppd.html
+%%DOCSDIR%%/help/man-lp.html
+%%DOCSDIR%%/help/man-lpadmin.html
+%%DOCSDIR%%/help/man-lpc.html
+%%DOCSDIR%%/help/man-lpinfo.html
+%%DOCSDIR%%/help/man-lpmove.html
+%%DOCSDIR%%/help/man-lpoptions.html
+%%DOCSDIR%%/help/man-lppasswd.html
+%%DOCSDIR%%/help/man-lpq.html
+%%DOCSDIR%%/help/man-lpr.html
+%%DOCSDIR%%/help/man-lprm.html
+%%DOCSDIR%%/help/man-lpstat.html
+%%DOCSDIR%%/images/bottom-left.gif
+%%DOCSDIR%%/images/bottom-right.gif
+%%DOCSDIR%%/images/classes.gif
+%%DOCSDIR%%/images/cups-block-diagram.gif
+%%DOCSDIR%%/images/esp-logo.gif
+%%DOCSDIR%%/images/happy.gif
+%%DOCSDIR%%/images/logo.gif
+%%DOCSDIR%%/images/printer-idle.gif
+%%DOCSDIR%%/images/printer-processing.gif
+%%DOCSDIR%%/images/printer-stopped.gif
+%%DOCSDIR%%/images/smiley.jpg
+%%DOCSDIR%%/images/tab-left.gif
+%%DOCSDIR%%/images/tab-right.gif
+%%DOCSDIR%%/images/top-left.gif
+%%DOCSDIR%%/images/top-middle.gif
+%%DOCSDIR%%/images/top-right.gif
+%%DOCSDIR%%/images/web-add-this-printer.gif
+%%DOCSDIR%%/images/web-password.gif
+%%DOCSDIR%%/images/web-test-page.gif
+%%DOCSDIR%%/images/web-printer-driver.gif
+%%DOCSDIR%%/images/web-printer-status.gif
+%%DOCSDIR%%/images/web-set-printer-options.gif
+%%DOCSDIR%%/images/button-accept-jobs.gif
+%%DOCSDIR%%/images/button-add-class.gif
+%%DOCSDIR%%/images/button-add-printer.gif
+%%DOCSDIR%%/images/button-add-this-printer.gif
+%%DOCSDIR%%/images/button-cancel-all-jobs.gif
+%%DOCSDIR%%/images/button-cancel-job.gif
+%%DOCSDIR%%/images/button-change-settings.gif
+%%DOCSDIR%%/images/button-clean-print-heads.gif
+%%DOCSDIR%%/images/button-clear.gif
+%%DOCSDIR%%/images/button-continue.gif
+%%DOCSDIR%%/images/button-delete-class.gif
+%%DOCSDIR%%/images/button-delete-printer.gif
+%%DOCSDIR%%/images/button-edit-configuration-file.gif
+%%DOCSDIR%%/images/button-export-samba.gif
+%%DOCSDIR%%/images/button-help.gif
+%%DOCSDIR%%/images/button-hold-job.gif
+%%DOCSDIR%%/images/button-manage-classes.gif
+%%DOCSDIR%%/images/button-manage-jobs.gif
+%%DOCSDIR%%/images/button-manage-printers.gif
+%%DOCSDIR%%/images/button-manage-server.gif
+%%DOCSDIR%%/images/button-modify-class.gif
+%%DOCSDIR%%/images/button-modify-printer.gif
+%%DOCSDIR%%/images/button-move-job.gif
+%%DOCSDIR%%/images/button-move-jobs.gif
+%%DOCSDIR%%/images/button-print-self-test-page.gif
+%%DOCSDIR%%/images/button-print-test-page.gif
+%%DOCSDIR%%/images/button-publish-printer.gif
+%%DOCSDIR%%/images/button-reject-jobs.gif
+%%DOCSDIR%%/images/button-release-job.gif
+%%DOCSDIR%%/images/button-restart-job.gif
+%%DOCSDIR%%/images/button-save-changes.gif
+%%DOCSDIR%%/images/button-search.gif
+%%DOCSDIR%%/images/button-set-allowed-users.gif
+%%DOCSDIR%%/images/button-set-as-default.gif
+%%DOCSDIR%%/images/button-set-printer-options.gif
+%%DOCSDIR%%/images/button-show-active.gif
+%%DOCSDIR%%/images/button-show-all.gif
+%%DOCSDIR%%/images/button-show-completed.gif
+%%DOCSDIR%%/images/button-show-next.gif
+%%DOCSDIR%%/images/button-show-previous.gif
+%%DOCSDIR%%/images/button-sort-ascending.gif
+%%DOCSDIR%%/images/button-sort-descending.gif
+%%DOCSDIR%%/images/button-start-class.gif
+%%DOCSDIR%%/images/button-start-printer.gif
+%%DOCSDIR%%/images/button-stop-class.gif
+%%DOCSDIR%%/images/button-stop-printer.gif
+%%DOCSDIR%%/images/button-unpublish-printer.gif
+%%DOCSDIR%%/images/button-use-default-config.gif
+%%DOCSDIR%%/images/button-view-access-log.gif
+%%DOCSDIR%%/images/button-view-error-log.gif
+%%DOCSDIR%%/images/button-view-page-log.gif
+%%DOCSDIR%%/images/button-view-printable-version.gif
+%%DOCSDIR%%/es/images/button-accept-jobs.gif
+%%DOCSDIR%%/es/images/button-add-class.gif
+%%DOCSDIR%%/es/images/button-add-printer.gif
+%%DOCSDIR%%/es/images/button-add-this-printer.gif
+%%DOCSDIR%%/es/images/button-cancel-all-jobs.gif
+%%DOCSDIR%%/es/images/button-cancel-job.gif
+%%DOCSDIR%%/es/images/button-change-settings.gif
+%%DOCSDIR%%/es/images/button-clean-print-heads.gif
+%%DOCSDIR%%/es/images/button-clear.gif
+%%DOCSDIR%%/es/images/button-continue.gif
+%%DOCSDIR%%/es/images/button-delete-class.gif
+%%DOCSDIR%%/es/images/button-delete-printer.gif
+%%DOCSDIR%%/es/images/button-edit-configuration-file.gif
+%%DOCSDIR%%/es/images/button-export-samba.gif
+%%DOCSDIR%%/es/images/button-help.gif
+%%DOCSDIR%%/es/images/button-hold-job.gif
+%%DOCSDIR%%/es/images/button-manage-classes.gif
+%%DOCSDIR%%/es/images/button-manage-jobs.gif
+%%DOCSDIR%%/es/images/button-manage-printers.gif
+%%DOCSDIR%%/es/images/button-manage-server.gif
+%%DOCSDIR%%/es/images/button-modify-class.gif
+%%DOCSDIR%%/es/images/button-modify-printer.gif
+%%DOCSDIR%%/es/images/button-move-job.gif
+%%DOCSDIR%%/es/images/button-move-jobs.gif
+%%DOCSDIR%%/es/images/button-print-self-test-page.gif
+%%DOCSDIR%%/es/images/button-print-test-page.gif
+%%DOCSDIR%%/es/images/button-publish-printer.gif
+%%DOCSDIR%%/es/images/button-reject-jobs.gif
+%%DOCSDIR%%/es/images/button-release-job.gif
+%%DOCSDIR%%/es/images/button-restart-job.gif
+%%DOCSDIR%%/es/images/button-save-changes.gif
+%%DOCSDIR%%/es/images/button-search.gif
+%%DOCSDIR%%/es/images/button-set-allowed-users.gif
+%%DOCSDIR%%/es/images/button-set-as-default.gif
+%%DOCSDIR%%/es/images/button-set-printer-options.gif
+%%DOCSDIR%%/es/images/button-show-active.gif
+%%DOCSDIR%%/es/images/button-show-all.gif
+%%DOCSDIR%%/es/images/button-show-completed.gif
+%%DOCSDIR%%/es/images/button-show-next.gif
+%%DOCSDIR%%/es/images/button-show-previous.gif
+%%DOCSDIR%%/es/images/button-sort-ascending.gif
+%%DOCSDIR%%/es/images/button-sort-descending.gif
+%%DOCSDIR%%/es/images/button-start-class.gif
+%%DOCSDIR%%/es/images/button-start-printer.gif
+%%DOCSDIR%%/es/images/button-stop-class.gif
+%%DOCSDIR%%/es/images/button-stop-printer.gif
+%%DOCSDIR%%/es/images/button-unpublish-printer.gif
+%%DOCSDIR%%/es/images/button-use-default-config.gif
+%%DOCSDIR%%/es/images/button-view-access-log.gif
+%%DOCSDIR%%/es/images/button-view-error-log.gif
+%%DOCSDIR%%/es/images/button-view-page-log.gif
+%%DOCSDIR%%/es/images/button-view-printable-version.gif
+%%DOCSDIR%%/es/index.html
+%%DOCSDIR%%/ja/images/button-accept-jobs.gif
+%%DOCSDIR%%/ja/images/button-add-class.gif
+%%DOCSDIR%%/ja/images/button-add-printer.gif
+%%DOCSDIR%%/ja/images/button-add-this-printer.gif
+%%DOCSDIR%%/ja/images/button-cancel-all-jobs.gif
+%%DOCSDIR%%/ja/images/button-cancel-job.gif
+%%DOCSDIR%%/ja/images/button-change-settings.gif
+%%DOCSDIR%%/ja/images/button-continue.gif
+%%DOCSDIR%%/ja/images/button-delete-class.gif
+%%DOCSDIR%%/ja/images/button-delete-printer.gif
+%%DOCSDIR%%/ja/images/button-edit-configuration-file.gif
+%%DOCSDIR%%/ja/images/button-export-samba.gif
+%%DOCSDIR%%/ja/images/button-help.gif
+%%DOCSDIR%%/ja/images/button-hold-job.gif
+%%DOCSDIR%%/ja/images/button-move-job.gif
+%%DOCSDIR%%/ja/images/button-manage-classes.gif
+%%DOCSDIR%%/ja/images/button-manage-jobs.gif
+%%DOCSDIR%%/ja/images/button-manage-printers.gif
+%%DOCSDIR%%/ja/images/button-manage-server.gif
+%%DOCSDIR%%/ja/images/button-modify-class.gif
+%%DOCSDIR%%/ja/images/button-modify-printer.gif
+%%DOCSDIR%%/ja/images/button-move-jobs.gif
+%%DOCSDIR%%/ja/images/button-print-test-page.gif
+%%DOCSDIR%%/ja/images/button-publish-printer.gif
+%%DOCSDIR%%/ja/images/button-reject-jobs.gif
+%%DOCSDIR%%/ja/images/button-release-job.gif
+%%DOCSDIR%%/ja/images/button-restart-job.gif
+%%DOCSDIR%%/ja/images/button-save-changes.gif
+%%DOCSDIR%%/ja/images/button-search.gif
+%%DOCSDIR%%/ja/images/button-set-allowed-users.gif
+%%DOCSDIR%%/ja/images/button-set-as-default.gif
+%%DOCSDIR%%/ja/images/button-set-printer-options.gif
+%%DOCSDIR%%/ja/images/button-show-active.gif
+%%DOCSDIR%%/ja/images/button-show-all.gif
+%%DOCSDIR%%/ja/images/button-show-completed.gif
+%%DOCSDIR%%/ja/images/button-show-next.gif
+%%DOCSDIR%%/ja/images/button-show-previous.gif
+%%DOCSDIR%%/ja/images/button-sort-ascending.gif
+%%DOCSDIR%%/ja/images/button-sort-descending.gif
+%%DOCSDIR%%/ja/images/button-start-class.gif
+%%DOCSDIR%%/ja/images/button-start-printer.gif
+%%DOCSDIR%%/ja/images/button-stop-class.gif
+%%DOCSDIR%%/ja/images/button-stop-printer.gif
+%%DOCSDIR%%/ja/images/button-unpublish-printer.gif
+%%DOCSDIR%%/ja/images/button-use-default-config.gif
+%%DOCSDIR%%/ja/images/button-view-access-log.gif
+%%DOCSDIR%%/ja/images/button-view-error-log.gif
+%%DOCSDIR%%/ja/images/button-view-page-log.gif
+%%DOCSDIR%%/ja/index.html
+%%DOCSDIR%%/pl/images/button-accept-jobs.gif
+%%DOCSDIR%%/pl/images/button-add-class.gif
+%%DOCSDIR%%/pl/images/button-add-printer.gif
+%%DOCSDIR%%/pl/images/button-add-this-printer.gif
+%%DOCSDIR%%/pl/images/button-cancel-all-jobs.gif
+%%DOCSDIR%%/pl/images/button-cancel-job.gif
+%%DOCSDIR%%/pl/images/button-change-settings.gif
+%%DOCSDIR%%/pl/images/button-clean-print-heads.gif
+%%DOCSDIR%%/pl/images/button-clear.gif
+%%DOCSDIR%%/pl/images/button-continue.gif
+%%DOCSDIR%%/pl/images/button-delete-class.gif
+%%DOCSDIR%%/pl/images/button-delete-printer.gif
+%%DOCSDIR%%/pl/images/button-edit-configuration-file.gif
+%%DOCSDIR%%/pl/images/button-export-samba.gif
+%%DOCSDIR%%/pl/images/button-help.gif
+%%DOCSDIR%%/pl/images/button-hold-job.gif
+%%DOCSDIR%%/pl/images/button-manage-classes.gif
+%%DOCSDIR%%/pl/images/button-manage-jobs.gif
+%%DOCSDIR%%/pl/images/button-manage-printers.gif
+%%DOCSDIR%%/pl/images/button-manage-server.gif
+%%DOCSDIR%%/pl/images/button-modify-class.gif
+%%DOCSDIR%%/pl/images/button-modify-printer.gif
+%%DOCSDIR%%/pl/images/button-move-job.gif
+%%DOCSDIR%%/pl/images/button-move-jobs.gif
+%%DOCSDIR%%/pl/images/button-print-self-test-page.gif
+%%DOCSDIR%%/pl/images/button-print-test-page.gif
+%%DOCSDIR%%/pl/images/button-publish-printer.gif
+%%DOCSDIR%%/pl/images/button-reject-jobs.gif
+%%DOCSDIR%%/pl/images/button-release-job.gif
+%%DOCSDIR%%/pl/images/button-restart-job.gif
+%%DOCSDIR%%/pl/images/button-save-changes.gif
+%%DOCSDIR%%/pl/images/button-search.gif
+%%DOCSDIR%%/pl/images/button-set-allowed-users.gif
+%%DOCSDIR%%/pl/images/button-set-as-default.gif
+%%DOCSDIR%%/pl/images/button-set-printer-options.gif
+%%DOCSDIR%%/pl/images/button-show-active.gif
+%%DOCSDIR%%/pl/images/button-show-all.gif
+%%DOCSDIR%%/pl/images/button-show-completed.gif
+%%DOCSDIR%%/pl/images/button-show-next.gif
+%%DOCSDIR%%/pl/images/button-show-previous.gif
+%%DOCSDIR%%/pl/images/button-sort-ascending.gif
+%%DOCSDIR%%/pl/images/button-sort-descending.gif
+%%DOCSDIR%%/pl/images/button-start-class.gif
+%%DOCSDIR%%/pl/images/button-start-printer.gif
+%%DOCSDIR%%/pl/images/button-stop-class.gif
+%%DOCSDIR%%/pl/images/button-stop-printer.gif
+%%DOCSDIR%%/pl/images/button-unpublish-printer.gif
+%%DOCSDIR%%/pl/images/button-use-default-config.gif
+%%DOCSDIR%%/pl/images/button-view-access-log.gif
+%%DOCSDIR%%/pl/images/button-view-error-log.gif
+%%DOCSDIR%%/pl/images/button-view-page-log.gif
+%%DOCSDIR%%/pl/images/button-view-printable-version.gif
+%%DOCSDIR%%/pl/index.html
+%%DOCSDIR%%/sv/images/button-accept-jobs.gif
+%%DOCSDIR%%/sv/images/button-add-class.gif
+%%DOCSDIR%%/sv/images/button-add-printer.gif
+%%DOCSDIR%%/sv/images/button-add-this-printer.gif
+%%DOCSDIR%%/sv/images/button-cancel-all-jobs.gif
+%%DOCSDIR%%/sv/images/button-cancel-job.gif
+%%DOCSDIR%%/sv/images/button-change-settings.gif
+%%DOCSDIR%%/sv/images/button-clean-print-heads.gif
+%%DOCSDIR%%/sv/images/button-clear.gif
+%%DOCSDIR%%/sv/images/button-continue.gif
+%%DOCSDIR%%/sv/images/button-delete-class.gif
+%%DOCSDIR%%/sv/images/button-delete-printer.gif
+%%DOCSDIR%%/sv/images/button-edit-configuration-file.gif
+%%DOCSDIR%%/sv/images/button-export-samba.gif
+%%DOCSDIR%%/sv/images/button-help.gif
+%%DOCSDIR%%/sv/images/button-hold-job.gif
+%%DOCSDIR%%/sv/images/button-manage-classes.gif
+%%DOCSDIR%%/sv/images/button-manage-jobs.gif
+%%DOCSDIR%%/sv/images/button-manage-printers.gif
+%%DOCSDIR%%/sv/images/button-manage-server.gif
+%%DOCSDIR%%/sv/images/button-modify-class.gif
+%%DOCSDIR%%/sv/images/button-modify-printer.gif
+%%DOCSDIR%%/sv/images/button-move-job.gif
+%%DOCSDIR%%/sv/images/button-move-jobs.gif
+%%DOCSDIR%%/sv/images/button-print-self-test-page.gif
+%%DOCSDIR%%/sv/images/button-print-test-page.gif
+%%DOCSDIR%%/sv/images/button-publish-printer.gif
+%%DOCSDIR%%/sv/images/button-reject-jobs.gif
+%%DOCSDIR%%/sv/images/button-release-job.gif
+%%DOCSDIR%%/sv/images/button-restart-job.gif
+%%DOCSDIR%%/sv/images/button-save-changes.gif
+%%DOCSDIR%%/sv/images/button-search.gif
+%%DOCSDIR%%/sv/images/button-set-allowed-users.gif
+%%DOCSDIR%%/sv/images/button-set-as-default.gif
+%%DOCSDIR%%/sv/images/button-set-printer-options.gif
+%%DOCSDIR%%/sv/images/button-show-active.gif
+%%DOCSDIR%%/sv/images/button-show-all.gif
+%%DOCSDIR%%/sv/images/button-show-completed.gif
+%%DOCSDIR%%/sv/images/button-show-next.gif
+%%DOCSDIR%%/sv/images/button-show-previous.gif
+%%DOCSDIR%%/sv/images/button-sort-ascending.gif
+%%DOCSDIR%%/sv/images/button-sort-descending.gif
+%%DOCSDIR%%/sv/images/button-start-class.gif
+%%DOCSDIR%%/sv/images/button-start-printer.gif
+%%DOCSDIR%%/sv/images/button-stop-class.gif
+%%DOCSDIR%%/sv/images/button-stop-printer.gif
+%%DOCSDIR%%/sv/images/button-unpublish-printer.gif
+%%DOCSDIR%%/sv/images/button-use-default-config.gif
+%%DOCSDIR%%/sv/images/button-view-access-log.gif
+%%DOCSDIR%%/sv/images/button-view-error-log.gif
+%%DOCSDIR%%/sv/images/button-view-page-log.gif
+%%DOCSDIR%%/sv/images/button-view-printable-version.gif
+%%DOCSDIR%%/sv/index.html
 share/locale/es/cups_es.po
 share/locale/ja/cups_ja.po
+share/locale/pl/cups_pl.po
 share/locale/sv/cups_sv.po
 share/cups/banners/classified
 share/cups/banners/confidential
@@ -838,19 +836,20 @@
 sbin/lpmove
 @dirrmtry share/nls
 @dirrmtry share/locale/sv
+@dirrmtry share/locale/pl
 @dirrmtry share/locale/ja
 @dirrmtry share/locale/es
-@dirrm share/doc/cups/sv/images
-@dirrm share/doc/cups/sv
-@dirrm share/doc/cups/pl/images
-@dirrm share/doc/cups/pl
-@dirrm share/doc/cups/ja/images
-@dirrm share/doc/cups/ja
-@dirrm share/doc/cups/images
-@dirrm share/doc/cups/help
-@dirrm share/doc/cups/es/images
-@dirrm share/doc/cups/es
-@dirrm share/doc/cups
+@dirrm %%DOCSDIR%%/sv/images
+@dirrm %%DOCSDIR%%/sv
+@dirrm %%DOCSDIR%%/pl/images
+@dirrm %%DOCSDIR%%/pl
+@dirrm %%DOCSDIR%%/ja/images
+@dirrm %%DOCSDIR%%/ja
+@dirrm %%DOCSDIR%%/images
+@dirrm %%DOCSDIR%%/help
+@dirrm %%DOCSDIR%%/es/images
+@dirrm %%DOCSDIR%%/es
+@dirrm %%DOCSDIR%%
 @dirrmtry share/doc
 @dirrm share/cups/templates/sv
 @dirrm share/cups/templates/pl
--- cups-1.2.1-1.patch ends here ---
Comment 5 mwisnicki+freebsd 2006-07-05 21:59:28 UTC
It seems that cups-config script from cups-1.2.1 is completely broken,
making it impossible to build anything dependent on cups library.

This patch was taken from svn branch 1.2:
http://wisnia21.freeshell.org/f/ports/print/cups-base/files/patch-config-scripts::cups-sharedlibs.m4

To use it, configure must be rebuilt.

Following diff adds that patch and enables autoconf, it should be
applied after cups-1.2.1-1.patch.

Added files:
  print/cups-base/files/patch-config-scripts::cups-sharedlibs.m4

Also, I forgot to tell earlier that print/cups/distinfo can be removed.

--- cups-config.diff begins here ---
diff -ruN /usr/ports/print/cups-base.orig/Makefile /usr/ports/print/cups-base/Makefile
--- /usr/ports/print/cups-base.orig/Makefile	Wed Jul  5 22:25:34 2006
+++ /usr/ports/print/cups-base/Makefile	Wed Jul  5 21:34:10 2006
@@ -25,6 +25,7 @@
 USE_GMAKE=	yes
 USE_PERL5_RUN=	yes
 GNU_CONFIGURE=	yes
+USE_AUTOTOOLS=	autoconf:259
 USE_RC_SUBR=	cupsd
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib"
diff -ruN /usr/ports/print/cups-base.orig/files/patch-config-scripts::cups-sharedlibs.m4 /usr/ports/print/cups-base/files/patch-config-scripts::cups-sharedlibs.m4
--- /usr/ports/print/cups-base.orig/files/patch-config-scripts::cups-sharedlibs.m4	Thu Jan  1 01:00:00 1970
+++ /usr/ports/print/cups-base/files/patch-config-scripts::cups-sharedlibs.m4	Wed Jul  5 21:11:59 2006
@@ -0,0 +1,81 @@
+Index: cups-sharedlibs.m4
+===================================================================
+--- config-scripts/cups-sharedlibs.m4	(.../tags/release-1.2.1/config-scripts/cups-sharedlibs.m4)	(revision 5706)
++++ config-scripts/cups-sharedlibs.m4	(.../branches/branch-1.2/config-scripts/cups-sharedlibs.m4)	(revision 5706)
+@@ -117,7 +117,7 @@
+ 	# rather than to the executables.  This makes things smaller if you
+ 	# are using any static libraries, and it also allows us to distribute
+ 	# a single DSO rather than a bunch...
+-	DSOLIBS="\$(LIBPNG) \$(LIBTIFF) \$(LIBJPEG) \$(LIBZ)"
++	DSOLIBS="\$(LIBTIFF) \$(LIBPNG) \$(LIBJPEG) \$(LIBZ)"
+ 	IMGLIBS=""
+ 
+ 	# Tell the run-time linkers where to find a DSO.  Some platforms
+@@ -126,46 +126,46 @@
+ 	case $uname in
+                 HP-UX*)
+ 			# HP-UX needs the path, even for /usr/lib...
+-                	DSOFLAGS="+s +b \$(libdir) $DSOFLAGS"
+-                	DSO32FLAGS="+s +b \$(LIB32DIR) $DSO32FLAGS"
+-                	DSO64FLAGS="+s +b \$(LIB64DIR) $DSO64FLAGS"
+-                	LDFLAGS="$LDFLAGS -Wl,+s,+b,\$(libdir)"
+-                	EXPORT_LDFLAGS="-Wl,+s,+b,\$(libdir)"
++                	DSOFLAGS="+s +b $libdir $DSOFLAGS"
++                	DSO32FLAGS="+s +b $LIB32DIR $DSO32FLAGS"
++                	DSO64FLAGS="+s +b $LIB64DIR $DSO64FLAGS"
++                	LDFLAGS="$LDFLAGS -Wl,+s,+b,$libdir"
++                	EXPORT_LDFLAGS="-Wl,+s,+b,$libdir"
+ 			;;
+                 SunOS*)
+                 	# Solaris...
+ 			if test $exec_prefix != /usr; then
+-				DSOFLAGS="-R\$(libdir) $DSOFLAGS"
+-				DSO32FLAGS="-R\$(LIB32DIR) $DSO32FLAGS"
+-				DSO64FLAGS="-R\$(LIB64DIR) $DSO64FLAGS"
+-				LDFLAGS="$LDFLAGS -R\$(libdir)"
+-				EXPORT_LDFLAGS="-R\$(libdir)"
++				DSOFLAGS="-R$libdir $DSOFLAGS"
++				DSO32FLAGS="-R$LIB32DIR $DSO32FLAGS"
++				DSO64FLAGS="-R$LIB64DIR $DSO64FLAGS"
++				LDFLAGS="$LDFLAGS -R$libdir"
++				EXPORT_LDFLAGS="-R$libdir"
+ 			fi
+ 			;;
+                 *BSD*)
+                         # *BSD...
+ 			if test $exec_prefix != /usr; then
+-				DSOFLAGS="-Wl,-R\$(libdir) $DSOFLAGS"
+-				DSO32FLAGS="-Wl,-R\$(LIB32DIR) $DSO32FLAGS"
+-				DSO64FLAGS="-Wl,-R\$(LIB64DIR) $DSO64FLAGS"
+-				LDFLAGS="$LDFLAGS -Wl,-R\$(libdir)"
+-				EXPORT_LDFLAGS="-Wl,-R\$(libdir)"
++				DSOFLAGS="-Wl,-R$libdir $DSOFLAGS"
++				DSO32FLAGS="-Wl,-R$LIB32DIR $DSO32FLAGS"
++				DSO64FLAGS="-Wl,-R$LIB64DIR $DSO64FLAGS"
++				LDFLAGS="$LDFLAGS -Wl,-R$libdir"
++				EXPORT_LDFLAGS="-Wl,-R$libdir"
+ 			fi
+ 			;;
+                 IRIX | Linux | GNU)
+                         # IRIX, Linux, and HURD...
+ 			if test $exec_prefix != /usr; then
+-				DSOFLAGS="-Wl,-rpath,\$(libdir) $DSOFLAGS"
+-				DSO32FLAGS="-Wl,-rpath,\$(LIB32DIR) $DSO32FLAGS"
+-				DSO64FLAGS="-Wl,-rpath,\$(LIB64DIR) $DSO64FLAGS"
+-				LDFLAGS="$LDFLAGS -Wl,-rpath,\$(libdir)"
+-				EXPORT_LDFLAGS="-Wl,-rpath,\$(libdir)"
++				DSOFLAGS="-Wl,-rpath,$libdir $DSOFLAGS"
++				DSO32FLAGS="-Wl,-rpath,$LIB32DIR $DSO32FLAGS"
++				DSO64FLAGS="-Wl,-rpath,$LIB64DIR $DSO64FLAGS"
++				LDFLAGS="$LDFLAGS -Wl,-rpath,$libdir"
++				EXPORT_LDFLAGS="-Wl,-rpath,$libdir"
+ 			fi
+ 			;;
+ 	esac
+ else
+ 	DSOLIBS=""
+-	IMGLIBS="\$(LIBPNG) \$(LIBTIFF) \$(LIBJPEG) \$(LIBZ)"
++	IMGLIBS="\$(LIBTIFF) \$(LIBPNG) \$(LIBJPEG) \$(LIBZ)"
+ fi
+ 
+ AC_SUBST(DSOLIBS)
--- cups-config.diff ends here ---
Comment 6 mwisnicki+freebsd 2006-07-07 16:43:38 UTC
This is final patch that includes changes made by maintainer in
ports/99745 as well as a bunch of other fixes. Maintainer's patch is
incomplete, it lacks fixes to cups-config and update to print/cups among
other things.


Complete summary of changes:
* Update to 1.2.1
   unbreaks RAW printing (http://www.cups.org/str.php?L1667) [99707]
* Clean-up print/cups
* Fix MAN links [99798]
* Fix plist
* Use %%DOCSDIR%% macro
* Add instructions to pkg-message how to change device permissions [99460,99745]
* Fix broken cups-config using patch from cups' svn
* Make OPTIONS work by including bsd.port.{pre,post}.mk [99786]
* Utilise USE_PHP for WITH_PHP case
* Set conflict with sysutils/LPRng [cups part of 99791]


Following bugs have been solved:
f 2006/07/02 ports/99707 itetcu CUPS in ports can't print raw data using application/octet-stream
f 2006/07/04 ports/99786 itetcu cups-base OPTIONS don't work and 1.2.1 has been released
f 2006/07/04 ports/99791 itetcu cups-base clobbers LPRng
f 2006/07/05 ports/99798 itetcu print/cups-base makes symbolic links without entity

Following bugs have been addressed by adding instructions to pkg-message:
f 2006/06/25 ports/99460 itetcu print/cups: CUPS 1.2.0_x: Unable to open USB device "usb:/dev/ulpt0": Permission denied
f 2006/07/03 ports/99745 itetcu print/cups: CUPS 1.2.0_x: Unable to open parallel port device file "/dev/lpt0": Permission denied


Modified ports:
  print/cups
  print/cups-base

Added files:
  print/cups-base/files/patch-config-scripts::cups-sharedlibs.m4

Removed files
  print/cups/distinfo


Because of the size I will put the patch here and attach gzipped
version:
  http://wisnia21.freeshell.org/f/ports/cups-1.2.1-2.patch

This time paths in diff are relative to /usr/ports, so please cd to it
before applying.

Port maintainer (asa@agava.com) is cc'd.

Gzipped patch:

--- cups-1.2.1-2.patch.gz.uu begins here ---
begin 644 cups-1.2.1-2.patch.gz
M'XL(".=^KD0``V-U<',M,2XR+C$M,BYP871C:`#L76MWXKB6_0R_0I-*KZXT
M&#!OZ,E,Y4&EZ"8)"TAW3=][5Y;!`MPQML<V>71/_?<YDFUBHX?E[J^W5E4(
MTMYZ'!T=;<G6*M-:KY'F[^^0YUM.6%_MO:#F^M:F?FL\X;5EXU3&(:VL:9J0
M4%IL]^BGO8.:3?@[U+O#1A<U&XUNN5*I\$HK??8M(-@(]9#>&;;[PTX[(GSZ
MA+1^M8<JY,>G3V7TH8S*:'H_6]Q=W([.2Z28LD:^_S*:S<?W=^<EO=:L-<H5
M)DTOHZN+Q>CF?C8>S<]+M!EE='LQ7XQFC_/Q@B1^0'CGA6]E=#V>+SZ/)^DT
M4V@HTPI"RUF[Z:XE:5Q#)9FE6]=!/QE@J#;2^T.P56=`^MTY-M2!0"T+!*2C
MACYL-.`OT@>]!C647FVB2J/:((;2;J\[Z",A:WH-NM_2`G?OKW`M-/S:\H_F
M&3I'[15N#):Z23^ZRT%KT#?6#=,P\,`PU]U669N/?QOEE=+O-3J=IBZQC_>T
MT4P<K/QTEPZ)7`L=<I5]Z9TA=:9!M8\J@]B9EK[[$EC.!AF.B:9N$,Y7ON6%
M:$J*Q3ZZ)N5!@@7#]/%D.KT^.4-+(\!F5#$PR\BEV0$*713L/<_U0^1CP]9>
M7-]^QZ&]8T*!#W?CKS7P8.WJ83J'3/?9@C:C<(O1_"T(\0[]0MMRB?TG;.,W
MM')W.TC0;,O!B#9J;:QP4$.++0XP,GR8B<:S8=G&TB8`6A0=+]L#<T-K:N7*
MWZV,3#E:AF$'AUX&R("*@M#=67^`09ZQ'Q`SN6MT<_>`;K9@S<AXQ']\'SNA
M_189#VRV9E&=6J=Q1ML#[FWMC`U&-/C,QE-HLA&2OJ(]L?V[I;D^IY%*A!&,
MYHK"&(=:FD/5U/]@BC:&>GNH#WC^ERTWXX.]8:LY;.GI@-:7!C1:%C>JT;39
MZ)=QE-C\BV%N'7K#>AU^UM9[!X>UM57W]LOZSO)]UP]H!C:"M^"E!BY!L^@4
M._TS5=NW.OIG&95293GAWJAM?(K?.'L1AUB@J5=U'56:C:K>IE:XO1C?+>#?
M:'9>,@+CD[$!KR:U0V_N;V]'=XMSB`0878&+@I>1>13-4C*W(F\&.U:N[N\^
M3\97"^CC9#IS-MH_&MK@7S^4*V4TOILO+B:3^>/\RV1\>5YZPT$9/<Q'CY>_
MC:?-U/>;VXN?1ZGOT]%LTGF</=S%:>"XCZ2>\<W#+,95".[B87&_N+^?0-W&
M/G17KK,>-CN#J)#9U>/\X7(6C:]).A47\#BZ^^6\=#6=?IY<W,S/3[3QZ9^3
M^ZN+R>7%?/2M;CDK>V_BD\C6D^L$-<F@;&MY0NW:ZE1U6`-:O:K>H78ME:;_
ML_AR?U<JG5SN+0A(T==D`IW0J1B5/;Z<7D!?$^"+%6X1%.P9'@2N-)X8NA8W
M#/WG,C!K-,YX/J[MGOZ+V)H$BT>Z?%Z/H<^G?]:N'F;PZ[=ZK4;^IL(VF2U!
MS!@MKF+\=#;Z//[ZK8[#%87%@!DOWU_5S#C_^OYJ?H0(MA`WZJ:;*6<^A7&B
MP/JSX=<#SW7M3/[]U<^CQ7_'V?[>B5:FP%T]E2NI2M*5?BNC7V<_SV=7YR7(
M@5]I?^ETSLX!,M\_T-A61:;E(_?%@=BYM3PZ@CV=J)U>MZK391RP-6N-3(@J
M#C8__CI>?'F<?IF>I3WH8G8SKYR7-(T,F>9MO;(&WOIX/9J.[JY)3@G2AE$C
M:$OKMN'`$KOUVI'G0H$`HHY\/?I\\3!9D*3'7\AD!,CXYNX>JDGJ/B]U4N-_
MDB[W]JE.W6'K@2><0-.Q#8%,U%1W']+6`LR!0!YU?U#M0FSLQ<&1[3MU7UGW
MWZ!@)YZY%)QT3=YD2DM:39O#,WTR2<XBO=4D[:SHK6YU$,TVVS/,G>743C_>
M7MSU1U\79W1RV1X1;VSJSGW&V50-4E?9I,I14KER.QG?_4S"S&J%O3"-]O'O
M>!4>\XD38H<HA'0.C416<)1,N@TS62/AR]KL?3P<0E,_G?XYNOIR_W@[O_D&
M,3C*(J&7R@(:*F(=-(PLTVU7VV"97J<:Q7<R6;[<WE]_0]H,;2HO*)X\R4S\
M%E4R'Q$$1M\''Z()_.$PDS]\#YSISS>WH_G\XF9$II'&B4(T`O&B$R@-FIDC
M&3A:/EK:!8*>0^5(UHY8,AQ84MFJ5UM@3OAQ+.U!%7`TN:%W^\O&4E_UE\M!
MN]OH-G"W,\"ZN6X.FKU5!Y3]EXMFIYM33'_0,@:Z.>CB;M_$'7W=Z_;,0<]L
M=<VFV6KJK69CV>KJ^K*G]_K8&!@#4^\99K/7ZZT[Z\'Z:`/!KZ35[G3;/3!.
MMELZ![KN-]J#00>WUNWN8`DS$YNK1JO5T1MK:*(!<8GI%J\8@"^;O=:RK^O]
M?J>_A@U0;]#I-OJ-;J</']U.N]5<-LW!6F_HW66GM5ZO=;QLM1NM?@>W2379
M;O$J:;5[G5:[F>=O=/VK>T:XVFI"N<H#B?V0AU;=1HGKR_-/HN?H3^*AI&T)
MD3:*UG]KO,$V%^FM80O8C8BMD09DFOD.:\/^MA?#Z.9M4(7!K<!'5$^%K8>T
MDA8P0*#5V^UA\UVN']5#S3$@YFCTAL0N%);4TXOJB59A5,*KK8O&3A`:MDT"
M'S56%"11M(.IU6H$>/HQ5IJ/$-;.D+9#O4X'G7Z\'-^1A"QD?@7;FS@6)Z4=
MH/54*IB4:0+\XH=[+UV]5H(5*\1!B$Y>22WC!2GH!/W'.7K]D>S\'+(@:"6F
M+,NQPKB@`$KZD2Q0`!-VYF$\N9[=WR_.WFNIDS)J)DM-.DGR8R&UE9=!47^I
M#?ZJ$36![C)@>]&*=AE=.HPB\X!UD&:\)W*,QFD)IPDD/6GWH:I,H>?HI![M
M5^H3:^D;_EM]'HWC&-*">K*IF6/_V8+-]TEFV)AQ2W.IIDR/GF@,CNL0]80!
M<@J^OEA<Q,7&;9D:OK'#(6C:FF?#XB8L78#G52(?>%K:#$<Q.*B/G`V4LZW9
MGN_^+F_RQ%T9MO4'U4!!2!2-V!B""GAE))5B6]D))L;>66VO#0S;V[Q!SV!1
MHM0,>DQ%(R'7!5+==OU-C4Y$J@&YPY1L!"87#W=77Z[ICO?LO5\!%C5N=O4>
MD/(<41(,#@$P*6-M1;^LK6BGVR;2NY5L%!#;D*B#8!QR+`8=NGP@BO^,-.N?
ME*#B7PF+M@*QYO2,U9.Q@>JB8&TN]W&=_&+JAT:1`C5$>E.A?3J*35_'=Z/%
M-2\('7?S%78GH<GQ`K1V_>0HT"P8T^/JDT#::9(3JTZGFH11Q@XF#IY"UXNL
MT&W7/&>3*;*^#_QX+VY!4X/Z%CYLUZ]WVZ_==MWPO""R#1#5&RHL56_V7^$?
M+9=3'-MD`*NW.5UZIM4:'4I-*U>BD86]%.Q2T`?R+QDS%$41>M*YQ08Y%4[B
M=A&M&(VW%B_9PR&%TL::MK4,:KNV5-7ET]7T97XYXD<6><I3H6RI)B5/0D"2
M]B.I.'9,_#I$G(Y6SO_^GTB*9EM<YS3X(PQS/30V0=W'-H8>1_N'>B[SK/31
MQ\\6/6/O]!K=LTC0*M8(:PRL&&#9Z!=2Z5^JDDI]/3KUT./8"[[^`4'<V8(G
MAUL8Z-"ESQCP*U[M0[(L!C6$%ELK0#N0W^0!!%UG@QW,!N!`V'MS]U$QT1E_
M]$3FC0C<T%J10TA8(BT<5.FD`:%*GT,`VWT)`$XJ)+MHWUKN0QP7A$@I$`2O
MY_>9QAEH219/,ML@\$+N9'PY/S_YY^E'<K9S=W.&HE\7X\^?D]]_FHX.Z;^=
MG8#ECXEI=*H0AHA*X]N;B$B^16U=8(@*Q&+^WM%":X>AQ\X3Z"'T`LW&I'MK
MBSP7(9T!4\Y=@'BV$4*`WP7QH#2[U39LC>+/:%A6X%_H=.^`O((U$%*._WR9
M:@]??S@CV!(TA'Y%#L9F])0(IN&VBO`SK#UD+:'Q$`8CLMUQ6<0D\>ET)4"5
M)>DV@$W+!Z6<Y)T(B*WF,16,U&I&,OL]7T3OMCGT;OM`C_.Y],.9^FG\&])^
MM:N5H%I95M^[P*6.OI)SQ,?W4WD^D;$[8ZK3")RQ$Y=U9*?3Q$I'1N)RCXQT
MFICHR$(L5V:AN.5<GM@\[RSB>#_^R''-^=ZYGU/79,K]`#/`AH!`ETQ:0J*<
M3DG,>?1\V.._$N5$/#823Y%631E>FXG\,\8=3$V10G>,T0?C)FB^]Q$TQYRS
MK*,1%&.\+*9RW!NN"[%=$7H,VP^A@X@ZD?(%?@^RPTX%DFCX?[B<7W-'/_GS
M@4+^E@>`.Q;P@@2M[@DI1B%O.&J7T"-8W+%74(2:9T109>\XP(MX2+HY0B\Y
M`N5ZRG@V_HK^#TTL9_\*GS=W#W*W(?AJ!(_TQ)>'V=_W(Y^NE86<Z4`IYE%I
M6F&W.FZFU+<X8)Z#13!U+XOQA5SMG5/4WS*MDSK=,9+QO!(.C!5\TH>:%?2N
M`:D5#\*NJ)0\(BI+R6B#64$7]-6"^>)CW)ZSO&TD[W6L:/<E>B>+1R[VE.O?
M;V?]^^TLGBOM<!"0PGC^$N?)?3$&%??&A"CUQR;9Z3:KS>@A]G0RNIB/T-W]
M8C0LH\SV'YQFX:+H(?NQ6]U8.P^9T:9X[9)=*^0-RQ4.(7KIAAPH1VG`AKTQ
MW9(1PVZL9XPVOKOWJ!>5*W[]!9&W``+JX0G%Q.2T'FHH5_0S=&&:[]42&'UK
M!C#KH.;O87<.+@!S(L1D)PZ;:]/%@?-]"/MW*PS.:"G_"*A'GNN-?Y4K!I1'
M0B7Z?N_87OC#]VCGFA@UNMU&IFTIG!I,ABI7FM`3A]<3?T4/5&E#::\>H]8^
MTL[A\/PD^GY"`*TS-,/TP1FBV.&A##,R"80'FDW`\A$ED^%VKOT*6W-R#K&R
M+9A%`6^@RPB&X<$A$Q@@R/`\VUK1@]JZNPIQJ`4A#,`.Q3,;[:P=KH5O'GDQ
MJEF<"=9X!F:JJ]%+9PK3,7H2P)LN-$<^%2FDV(/F=YIT&K9;U5:WA2KTDQ[G
MD4,A<A81OY=5:V92:(""9&XB8+5/B46G^Q!!5*4G+@$BQRUE#;[7X5^_'K]-
MTT\EI5^:Z9=1L+2<=%HJ)?*<."$JJ:QEWT:+GP8$`3=#H\:B-?$@:^.9G$K7
MX`>39Y&SSMHVW-E,EN\NW3"HA:]L:[;8]NJ&9VF&[QMO?/H!0YLNAY`%`J14
M/@IB5@YH&X:>Y7DY*,\S<Q"^$<@K6VTL2>[&=F'1\&6V@?F)'9@58@3XD1:_
MN24'+8W5$W9D72*HE>&LL)T'LHT@P-&3IUPHB6-*R/?7$U20MG1T#C`/`J<*
M$-:-8+=4`)HJ?<GU0@)ZCZXJ0!K`<X#QBIT[,`X.0;$^21"QT)4AGLE3?/PB
M@<!V5XODQ*/MR@:5`&.?TG*:'D&)3RDAR8"I`#%Y55VAE1X$?158/!`J50?.
MSE/"[9>'#4INP0$&'6Z%LM`2>'BEK7:R*!A!HHU"'@QV&];&R4/)HRZ%R,,N
MA>3&78H*0FE=(73*\&5UA;[A!#;51Q+4"^Q7`D<Z$=YC1SXF?K,V'T@.ELQ@
MI8B46Y4@;9FU(D#T-G(>*J])\>O+>2#Z-G,>*#].13@/@LM+O@7^-Q>1%]0!
ML<N%D">1?!!5E4$=1!7LM34;K\/:QEKGP$`Q;Z6X9+V60:B(AKWBDV9:QL8W
M=C(T#CP-HJ`KPVQA>_$F`^05$`=1S3)A/BC@/-\E:PULDE300>AZ'C9ET&`'
MDO.M]KNW$2%`3^<.$L'DCA`T)K\@P.PL,\<:!)5;W0M>:J!XM'!K!<EBE8>G
M4\CUI18C.!)MZ#J96V`\$J9O/2M4?Q@W(]Q+79F@8:-^8"0Q0C:1]C"1$AVM
M_>XNE=!@0#JS%+$*=DZA58<FID2Z73-L6[7Y,0/0*N"MX6PP,2LYMU`JWL:)
M(M7(BTFJ'*7.NN3X9"_UL!AJ8AN'6'F<8KBZW6%+&FJ9M^7H1E6%^4I.-;7`
MV"T-!3A9/E1@KFTJCBFL1?!54U@<L@1%_XK1ASV),B.`C862[7>N::W?E,<V
MAJN/+5$@JK:,H2KMB.9$@.VU6JS,T`HQ]DOR8G&!'D<'2ZH=2=XY4S-1?!*J
MB`X,,&@4=52:$D#@6&V5@*%&7_7"IK8/U/R2<@*(#6MC;\L%V3NA^.H3;-T7
M6()"6`V5T;:M"H5MG$=BFW3]3A,<_*K45X+UR)M]KGQ93O`DZ!G!BMR*E"NU
M-($\[%-G4#]3#0L16GV.$.%8H'``JY>]=XK/6?#BQ#63X[-\$CFYB<]FB)!7
M9=!CDB($$JD*X9-#:BU^QL@EXJ+"C25(M1L7+AL1+B%7P3$L%1$G(HG"*HM7
MD'(L24G-<6FJ?9=I.@:=*^M$C$+C443<L>0\?<<PA!*/1<I4'H-6$'HBCKH;
MJL@]$4FB^%A*GN@3,0J-O%3Z"=&*#5(6@`)F49+"DL*0\I0@AR`7@QR"7`\R
MA%Q)R#+$JI"#51&&?)I<&W(Y*O*0)>8H1`%!(!+Y:+E.Y'.$4I$/EZI%EI(O
M&/F<',W(DG)DHX!0:%KEB$<^OE`-:A*2I:FI2(:G(B3Y)+F6Y'.D<E)`45:4
MXK<<?C<*ZDV6(-6;7+AL^+B$7+W)L%3TIH@D"MLL7D%OLB29&F30N6I0Q"AD
MK2)JD"7GJ4&&(52#+%*F!AFT5-JPZ'SM*.*HNY2*=A21)-J1T_4<[2AB%/(3
MN1IDX"J:CB4IQ'B&E*?I.`2YIN,0Y)J.(>1J.I8AUG0<K(JFX]/DFH[+4=%T
M+#%'TPD(`DW'1\LU'9\CU'1\N%33L91\3<?GY&@ZEI2CZ02$0M,J1]/Q\85J
M4--T+$U-TS$\%4W')\DU'9\CU72$(M9EGEU0E[$$J2[CPF5#P"7DZC*&I:++
M1"11Z&7Q"KJ,)2F=`W)IJGV7*3\&G:O\1(Q"XU%$^;'D/.7',(3*CT7*E!^#
M5M!R(HZZ&ZIH.1%)HN582IZ6$S$*C;Q4+`O1B@U2/@<4,(N2%-80AI2G&3D$
MN6;D$.2:D2'D:D:6(=:,'*R*9N33Y)J1RU'1C"PQ1S,*"`+-R$?+-2.?(]2,
M?+A4,[*4?,W(Y^1H1I:4HQD%A$+3*D<S\O&%:E#3C"Q-33,R/!7-R"?)-2.?
M(]6,`HK2.2#ABO5F\%Q0;[($J=[DPF7#QR7DZDV&I:(W1211V&;Q"GJ3)2GI
M32Y-M>\RO<F@<_6FB%%H/(KH39:<IS<9AE!OLDB9WF30"GI3Q%%W0Q6]*2))
M]"9+R=.;(D:AD9?J32%:L4'*>E/`+$I26'\84I[>Y!#D>I-#D.M-AI"K-UF&
M6&]RL"IZDT^3ZTTN1T5OLL0<O2D@"/0F'RW7FWR.4&_RX5*]R5+R]2:?DZ,W
M65*.WA00"DVK'+W)QQ>J04UOLC0UO<GP5/0FGR37FWR.5&\**$IZDW#?]6;E
MN^_B__[EN^]H/KVJSZ0>7>7/Y*?O\6<R1-6D;O!GTGG7]_D`VE!)?N;BOA!R
MN-#)1V2N[/,AARN._.STI5$6<;BISV9EK^FS^9D[^FSV\05]/B)S.Y\/25_-
M%R"8>_DBW-&E?`%L?W0C7P*SQ<;GW<47H](7\<4H,[?Q<I?BW;^7H%*7[_DH
MSLU[%IBY=L]F9^ZR<K(S%^[9?-YM>SZ*O6HOPAW=LQ?`]ME+]GS4T0U[/BA[
MO5Z`8>_6\X%'%^L%(,&M>A:=O5+/R<_<IQ?EIR_3"S#IF_0"B"029N_0"_+E
ML3![>YZ3G[DZS^8S]^992/;2O&R>_W]E9[331!1%T7>^HN]@HI(8?/-/S"AC
M`JF`H";^O=,I=.;./7NOW=>>M=MRVTX7A^P`P+HNKZFF*^\Q<W3KEKR:KBKR
M"K%/8UV.5\32C%<$7$KZ3KQB?OFQO;XN57@U7WKPK:J\VM2F!&^8I?!<0>L%
M1#G_4W;?*[0IOE?`TGJOIC;:]=T=M"F[.W3==*^X5<V]&C<==P7X%Z!IMRM@
M56U7B'\466I7<--H5U"[])!WU7?9"5T5V16J?F$O/PGU1MJAS2X:0#I/MW\V
M?+5Y9OQM=>/(8MOL\'+/#`'^Z=:[9<-U6V5FP_-UFV07V^Z0#7O:'CMFO3<V
M7+$Q9CIYXU1;8L97^V$';S?#S(:O7K,-#CA\>+D!QDR.%UL@@V_WO19M-[T6
M;7>\!NVVNXY=]KJ6JC:Z%&AWN4"?^:6PW=\B^KJY):[=V1)]VM82V.QI'=QO
M:(G>[&8=OMG*(AJ^X3>;6"+#>ZVWKRY0[UU-HMJX$M[N6HENMJP(E_O5)C52
M31QH[4<E*T^^I+TE=1$4)94H+X$]3+K4)]B8RDSTPTIOZE"O3@K/SST6J#YI
M':K#:XWJ,6E2'4HRI0+A^PN52B645?6\%2N%YZ^MUBN))L\CDRP1.RM!E_PN
M86VKH(UP%;1QKH[VVM7CPKP*$.6KSAC_*@.H8'W*69B@*Q&K4>-B=:#6L9K5
M1M;S(&5UP'E9GW!J)NC\,^($K8;S^PXTK<\$IM:%4-;JA/&U.J"53?"9M8F_
M56,/&V@M=-C`9MH+7=2]CA+E]35J74-"2A?WK2,\/YM8NKAF[?%:NGS!VJ/:
M*9)J=10(WR[H9T&CFGY6YV=)ESH[R^3.T9ZB"K5/6'O"\C31QIZX-@VXL*>P
M,!UDC#W%56E(.7OR)>D`-?8$]>B`U?:4%*.#@+,GK$0G=/X9<?;$36B/!_:4
M=J!]".TI:3\'`6U/;>^Y&6'I&6@M05AW9MI+4%1TCA+E93*J.$."MUJFW`R<
M%"RN-4=X?NZQ8'&;V>.U8/D>LT?)FK#!'-':FH+N,O#6FI+6,@64@4)?V;/9
M5BMJ*D."KO'842;:>!FVDSWMO<SUD@E$+TL:R1Q`+\,N<D)77I:TD(-`[65!
M_QAX\+*H>0P)YV5!YYAX[67<-O9XX&5IS]B'T,N2AG$0T%YV3K>X"PJAPU8Q
MT%KHL$_,M!>ZJ$D<)<KK:]0AA@0+G6D/`R>%CGO#$9Z?>RQT7!?V>"UTOBCL
M41(ZK`A'M!:ZH!P,O!6ZI!9,`25T4`CV;"9T4148$O3E@"5@HHW08?W7TU[H
M7/&70!2ZI/++`10Z+/LF="5T2<TW"-1"%Q1\@0>ABZJ]D'!"%Y1ZB=="QW5>
MCP="EQ9Y?0B%+JGP!@$M=.>4=[O@(G2[8Z]W__A]V(^'/V$>.B5?IVO&T^-F
M=C\<9_?#87;9S"9)G&=/^SXW/=X\>_F[FLT=XF_#P\/T+(\UE[L?=^-M/3Z\
M*+?CI"S#?OXWZ#?7-U<?/N\N;ZX_77U\/_\;]/F_BQ\+1A>[+[=WS\\_?S__
M>[VWA_U+?^/IV5U<BM'37J;N!SD:7R[>'4<[5;?6@)J<[%T#:G):X&I`37SN
M(%1J-E)83MY>C5WY7A?3\N;ES.II>?-R6O6TO-DDYD.J!LL)U=/JYOX]-YW:
<VXWK3\[O<?JN&B;5.9R-G4_'\!\&(;2G^:X`````
`
end
--- cups-1.2.1-2.patch.gz.uu ends here ---
Comment 7 mwisnicki+freebsd 2006-08-01 18:56:22 UTC
Update to 1.2.2 + fix plist when PHP is enabled

Modified ports:
  print/cups
  print/cups-base

Removed files
  print/cups/distinfo


Uncompressed patch:
  http://wisnia21.freeshell.org/f/ports/cups-1.2.2.patch

Paths are relative to /usr/ports:
  patch -d /usr/ports < cups-1.2.2.patch

begin 644 cups-1.2.2.patch.gz
M'XL("'*2ST0``V-U<',M,2XR+C(N<&%T8V@`[)UK=]I(MH8_FU]1QTE6QX/%
MU8#Q',^)8Y.$:5]8!O?TF<OR$DB`.@)I)&''W2O__>PJ"2Q1E[V5\W5ZQ4ZL
M>M]27;<>%<ENQYO/F15M;ED8>>ND/MN$<2V(O$7]QO[JSCW?S17LKE4LR](:
M#B;+#?OK9LU:+?AUUNR>-;JLU6AT*]5J557;P63CLHO-@K$F:YZ<==IG[<SP
MX0.S3H][K,J_??A086\JK,)&=_>3VXN;P?D!KZ9B\9]_&=R/AW>WYP?-6JO6
MJ%2E:ZT*N[R8##[?W0\'X_,#T8P*N[D83P;WC^/AA%]\P]Q5F+Q4V-5P//DT
MO,Y?<[0#Y7AQXJWG0;YKVVO*@=H6'MP$:_97&P;JA#5/SV"L.GW>[\[^0.T,
M8F3!``/5:)XU&O"+-?N]AABHYG&+51O'#3Y0ULU5A[WG9JM9@^ZWK3C81#.W
MEMA1;?I[ZXB=LY.9V^A/FX[XK3OMM_NG]KSAV+;;MYUYMUVQQL._#[!:3GN-
M3J?5-(Q/^'5A.6X\B_)=VEU4CM"NE+R6<H[B8FJ=<>MV,?6/3UFUGRVF:10\
MQ]YZP>RUPT9!G(QGD1<F;,2K=2-VQ>N#"QY,T_O#T>CJ\(A-[=AUTAN#L\("
M41RS)&#Q)@R#*&&1:_O6<Q#YKSJV63M0X</M\-<:K&#K\F$TAL+@R8,VLV3I
MLO%+G+@K]HMHRT<W^NKZ[@N;!:L57+!\;^TRT:BY/7/C&ILLW=AE=@0[T7ZR
M/=^>^EP@JA+SY8<PW-":6J7Z_[T9WW*B#MN/=[V,F0TWBI-@Y?T.`_+D1C$?
MIF#./M\^L,]+&,UT\/CZB2)WG?@OZ>#!F,UE5:?6:1R)]L#R]E;VPF4B^-P/
M1]!D.^%]91L^]J\CK5QS%K^)-H*)4ET84UBS]><SUH6-=G;2/&LU5>NO6&]A
M#78AFITU3_(![=08T$1=RJ@FKMT/?AFF%UL_&.;F27A6K\/WVGRS=I/:W*N'
MFVE]Y451$,6BP+7CE_BY!DM"%(DM]O:/W-V^U]D_*^P@5]<ZV=BU123TB_5&
MY^$CT&H>=UFUU8"!X&-P<S&\G<#7X/[\P([M#_8"UC2_-_3E[N9F<#LYAWEP
MV24L4%AC?!>E>Y3OK'0MPRA6+^]N/UT/+R?0P^O1_7IA_:-A]?_UITJUPH:W
MX\G%]?7X<?SE>OCQ_.#%C2OL83QX_/CWX:B5^_GSS<7/@_1GWM!VY[@)0;7=
M/6YV1%,/#D;_._ER=WMP</AQX\$.3W_<KLA#L;;%P,!]1A>CP?U6^.PE2^9[
MT]`.(1+D];SM-6\]\S>.R_Y[&CLUL7'#R*VMOOZ%-Y_OOD?Q/+H:PAB]_:-V
M^7`/?_Q>K]7XKUP<Y,LOSAR#R66F']T//@U__5YWDYF098)[57DTJSE9^=7=
MY7A/$2]A(]:=H%#/>'1W=RV$]2<[JL=A$/B%\KO+GP>3_\F*H\TZ#?5Q,/M:
MJ>9NDK_I]PK[V_W/X_O+\P,H@3^*_HK]45Q4?`.]$<'BF#E>Q(+G-02CI1>*
M&>PUCV'O57LPD>EBJ[":-V<.[-.UZ[S_VW#RY7'T973$E]KMI^'GA_O!X\7]
MYW'U_,"R^)Q9X3*L6/</MX]7@]'@]HJ7',"UL[05HJEUWU[#0VL9GE2J?!5!
MA2#BBZ@ZN@:4>!P_?.0V?OWP,#?;A_E*;K[6Q>0O0YCW0VBGZT,<T+4KV"2B
M:8H[?."1'"(N$Y6L(4JJNRV6KJGG+W";=;HQ4O&V5^8."-NV#]K;;S?(40HO
MS0:/"<WF-C`>S'P/^@!A8#VOO7U_<W';&?PZ.1*;2ZR">+T*M:6.HJ1ZL((G
M91(H32MOY?*"IUA9DKR$KE02IIP0*RH476KU.+HV(7KTTR[YH>VLO'4J/=W5
MXX<<[N2KJ^#)+5ZUX.JL>*FZ=ZE2O;D>WOX,0=">S=PPR:LC]S=WENS[^7BY
M:TX0^1(QBEZ\=YG/)`0FB_?86VPB]^P,FOKA[1^#RR]WCS?CS]\A2J=%/#@+
M;!"1+^.DLW1DNB?'L"F;L"M/TI&!O?_EYN[J.[/NV:+ZS+)8L`TLW].;C`=<
MX;*?XC=I/'JS"TQO?@+/Z.?/-X/Q^.+S@$<%2Q%414!5!5L@$5&(((6"]=-'
MOP;X%58%TG;T2/'J*F(M4$4.:YO';1A.^+:/_D`-"F:WF]W3:6/:G)U.I_V3
M;J/;<+N=OMMTYJU^JS?K`/E_N6AUND@UI_VVW6\Z_:[;/77<3G/>Z_:<?L]I
M=YV6TVXUVZW&M-UM-J>]9N_4M?MVWVGV;*?5Z_7FG7E_OO>"H;Y)^Z33/>G!
MX!2[U5)(&]`8M]]L]&?]5J<UF[9[)ZW>*72LWVCV&[93J4K=4E73[#JVTSL]
M=7M."X;&;D\[_1YTP($!:_=GK7;G9';::,Q@?\_=;J][.H>?.IW31J?==GN\
MJ7O=4MVDW6GUVJT6MM[$X[P>VLEL:6EQ5B72KT.5FOJ:I;^?^;4+'L)-OD#A
M.U^AO&U;HVB4N/^-_0*OP:P)K_^G9YU&ZK9X`PK-?)6=P/MO+Y.)E[O^,4QN
M%7Y+[U.5[_,I\M(*^KR5)R=GK?ZNGWOW$</1Y\/1Z.TZ4]W>IY?>1[QL,W;@
MSI8!&Z[CQ/9]'OC$8*5!DJ5O.+5:C0O?OL]8]!'"VA&S5JS7Z;"W[S\.;_F%
MHF1\":\_62S>UK:3UG-784BE)L`?HF03YF]O'<!#.'%C((-O_"[#":_HD/W7
M.?OV9_YFN.8/!.M`JLM;>TE640PU_9D_H$"F[<S#\/KJ_NYN<O1ZESJOH^;(
MUFTG>7G&A4MS'4+U0VV(9HVT">(MI''<;(O7D&973*-N>&!TF&6_7E0,FJ(E
MBB;PZ]MV[VY5J/2<'=;3-YKZM3>-[.BE/D[G<0C7XOKVM6?L1D\>O)P?%J9-
MFK>\5R!R?O9T<[!_#UU/)*&BXJN+R456;=:6D1W9*U=@4^C#PTU;NT:ONHEY
MXD5M]VX:@^/Z8+V`>I8U/XR"W\Q-O@YFMN_]+A@H3CC1Z`=#<P-5'=N;NCYY
M$5S;F_5L>66[\`*,37I!R[:D9HMC+!$)E4L@U^T@6M3$1DQ)6C5-5X-/%P_7
MD\?KBX?;RR]7C_P5XNBU7[&K:]S]Y6M`PA:B(1CL`N"VCKF7_F'NI2_N)QR]
MV[WL98+)#4D["(/#C\V@0Q\?^$O,$6_6/X6!LKZV+M$*)@]G:,^^V@NX71JL
MG>DFNZ>ZFOJN4;Q"B_'>5$6?]F+3K\/;P>1*%83VN_D-7K@21[$*V#R(MD>%
M3LF8GMU^&T@[+7ZBU>D<;\.H-`Z.&W]-@C`=A>Y)+5PO"E76-W&4'2UXT-2X
MOH3?_""J=T^^=4_J=AC&Z=B`D=Y0;:W-UNDW^!+U*JJ3FPQB>IOSM1=:;8FI
MM*Q*-9U9>)>"MQ3VAG]MYXRE442<A"Y=FY\:;^,VQHJJ<_84V'2'[2ISN=>3
M_QR[_^?87;645FX<\\I4ZR4K,Z_%3%1^->Z,IO78XD^'UG$K/7T870\NQ@-V
M>S<9G%78>>X_OF@F`4M/1_:7U6=O%3(G$%,[#WP_>(:RLTI584@/?SD)L.S0
MB+T$&[9VTX%=>$\N6T0!T+HX-:U&]6?&CV]BL<*W%L?EF`5WJ%2;1^S"<5YO
MRV7B]!8T\[@6;2!DP!*`/9'`HH)G7`(M=>/U3PESOWE)?"1J^4<L5N1YL_&O
M2M6&^N"=;LE^VJS],/G33VP5."YK=+N-0MMR.IK,I*I4X6WX8JWJ23033T+1
M4-&KQ[2UCZ)S;G)^F/Y\R`7M(P8`QHF1">W9K@XG'1((#Z*8B\TSRC?#S=CZ
MF[=V($ZQ]!@R5DUTA<$T/*RWIZT0[WUO)IZP]6"6N(D%O.?:*Y;M;/9ZDEAA
MK?).<3I98;FN"CZC;,<4X53;1928MZ*0E#LAR-F*GX3USQK]UVUXTCYN=^$5
M#'X_::8/!]^;UN$K^WR`?YR5NR("%%Q67@2MM3OY'FT2!E&5#^#7&!ZD/&+#
MSW7X.JUGQZ"GN4OYT\[32O7=N]&7T;MW_"[A,JR+'Q\'OTXX:KQ[QZ]E#:RP
M>.JM\_;<E72191?2FU:LX@<H&?'%L;+`$N,J&J62S.TG3AXU^":5P>IUO]66
MR<J7BJ)@&L!K?/)-;LW2]4/@%L^RH\A^4=MW&M%TLX0_2QPOPE40WA#1,DE"
M+PP150@L:U9$=FR^V6SA&4H7?@#/E\@T-K"5W35L(+T"EIR5G<Z;15-X?W#7
MIBYQU<Q>SUP?$_EV'+O99Q68]/63%T3Y>@1%4?K&V=G)0HBQ%"$\8N+5E"!T
M*'U!5R$7Y3XF(@C33XW,PN*'2'HMO,8!W'XU*#(F-BF>^$F-^VR01.[<2LGC
MT0],D\J%V9JRD*:G4KZF2$H^812AR_^Z`J&5(3P?*+)L(BBWYI\]DG2;Z>Y=
M!JTX=@'9O<046N+0G5FSE2D*II+TG0*3P8N)MUAC*G/4%1)SV!42-.X*59P8
M[Y5`I^S(=*\DLM>Q+U#*H'J&5YMX;=P(K[$#UV2?GN)"?H#CQ#.BTCRJ7.F;
M1BL5I)\X8RJL2=E'U)A(?&*-B?`XE>I"""[/^`C\&U5@01T4*U0":T_SM!8`
M&M<!JN"UW/+=>5);>'-$!G"]-.JVSVN31/`VO%9^M1S/7D3VRJ1VX]""*!B8
M-$MX$WDQ";`*LB!J>0[L!X(NC`+^K('W*8HZ3H(P=!V3-%X!<K[4?@L7.@7P
M-#I)7(/.$#0&KP@T*\]!1H.KT-L]NU,+B,=*EEZ\?5AA>K&%@L@X8ES'HXUX
M3J(59C/A1-X3X?:[>;.3C7$I<S6\T^\<VQAAVD@;V$A;CK9^"Z8D-0R@V%E$
M+6&<<VKJU&26E-LMV_>IS<\<H*:(E_9ZX?)AY4<<I.I]=TND%C]\IGI(G0WX
M2<O&N,(RJ>/Z;N*2YRF3T\<=7DD3J_")B'A1I3B_\0-0*[974YL@YX\/BBSP
M'>*<PK,(?K0(#X>B@;B^,O7NG83LB.'%@C3VJ\#QYB_DN<WD]+GE!$(=RTQ*
M:4>Z)V+7G]-B9<%6RK&9\@^/2_0X/5BB=B2"S6+'U"'*#DV)ZMB&`4VC#J4I
M,02.V9(D3'B0#)Y=Q]K$M'4I/#'$AKF]\<U`]FHH__2)E\$S/((2>!J2U;Y/
ME<)K7,ACF_'YG3>LW6^DOG)M&+E/7F!^+&_U/.C9\8S_95XSJ>4-_'-!ND.L
M,VI82-7T/<+!L43E(*;7O5F7W[.PBK=+<WM\AIOXR4UV-L-!GNH0QR1E##Q2
ME=)O#ZFM[.-(I=$M"VZRP<AN2KEI1I0&E.`D%P7B="9=6)7U!)23322:4]JH
M?3<QG:1&L4[G*#4?9>!.-F-\)SFTB"<K390GJ0F@I_/0ER$%]W0F`_')%@SZ
M=(Y2,V]$/ZV:V"`R`&J<94V$1XIDPDA083##H,)@YD')@"*A[-!3H4)+`4.U
MS<R&2@\%#V4C0H@:@P82U6HS)ZH]6E14RXVT*%MP8%1[$&:430@V:@REMA4"
MCVI]J3O0$%*VT2A2\E%`4FTRLZ3:8\1)C85,E/J_Y?";79(W98.1-Y5RT_0I
M#2AO2BX*;^I,NK`MZPF\*9M,-"BI41K4.4J-5AD:E,T8#4H.+0W*2A,-2FHC
MVLAJG!UU'OJ2HK"CSF1@1T77$7;4.4JM$S,-2G(*T\DF0HR73!C3*0QFIE,8
MS$PG&5"FDQUZIE-H*4RGMIF93NFA,)UL1)A.8]`PG5IM9CJU1\MT:KF1Z60+
MSG1J#\)TL@EA.HVAU+9"F$ZM+W4'&M/)-AK323X*TZE-9J93>XQ,QRUZ+@O]
MDEPF&XQ<II2;ID!I0+E,<E&X3&?2A5Y93^`RV40Z!U3:J'TWD9^D1LE/YR@U
M'V7(3S9CY"<YM.0G*TWD)ZD)+*?ST)<AA>5T)@/+R1:,Y72.4C-OA&6MFM@@
M\CF@QEG61'B&2":,&14&,S,J#&9FE`PH,\H./3,JM!1F5-O,S*CT4)A1-B+,
MJ#%HF%&M-C.CVJ-E1K7<R(RR!6=&M0=A1MF$,*/&4&I;(<RHUI>Z`XT991N-
M&24?A1G5)C,SJCU&9M182.>`W*OGS?BI)&_*!B-O*N6FZ5,:4-Z47!3>U)ET
M85O6$WA3-I%X4VFC]MW$FY(:Y4V=H]1\E.%-V8SQIN30\J:L-/&FI";PILY#
M7X84WM29#+PI6S#>U#E*S;R1-[5J8H/(O*EQEC41GC^2">--A<',FPJ#F3<E
M`\J;LD//FPHMA3?5-C-O*CT4WI2-"&]J#!K>5*O-O*GV:'E3+3?RIFS!>5/M
M07A3-B&\J3&4VE8(;ZKUI>Y`XTW91N--R4?A3;7)S)MJCY$W-182;W+O*V]6
MW[W+,A:_>R?*Q3_5EZ[N_5/^0GG^W_$7"G2WR?T+_L)UQT58%U$70!?7YA<-
MKI80UVQ1\2W)L7U&(&(%V2(.)=;B'E)G\T!KEDHT2Y+3Q]W$L8AS'V+-\AW!
M(K(\OIJE"G8E&8CK2T6M)$<.61']/J^2Y/2Y+9`J34IIAY91*;92#L73RNS8
M1U-,7>123%V$4K-:(E)$_HJCF%#%H@1/$41Q@XI"$=<>@E+4&7\2I$7X)!AV
MY$G0%K`3T<O,23#L`2?BV*--BIJ^1_8XDR"FUZTF3+-'A8D$1Y$1"88"(%+T
M2CJ4C!IF4Z564@L$1!K*"TF5M))=L@VUHI!.22W9I9]0%^<3>LB*718EN:B8
M0DDN+^1/DHOWDR>I%87,26I)/FV21B'E3-+I]A(F:62;O6Q)!IFO'WQ5GB2]
M*I\D2:]RT,:;EY0J-Y)!E4N,I%8ILB+)PD)*)+FXD&=$45Q(AB27P^AZ,T_?
M3%6F)+5*3I.DT^WE2-+(-L4$26K57G8DM2C]'Z*@=14S*&DT<OHDM7`O=Y)&
MI$F<)*N+69,4Y8642;KR?+XDC2:?+$DC,0348IHD3;DYI!83)"G*"]F1Y'(I
M-9(L*>9%,H4+1)#/B*17%=(AF66&H<LG0M*5YK(@Z23&9N3S'^D4K\F/=`HD
M(LEICW2:?YN+C6'Z-=N1KOPUU5'Q-"I#HKT\1P;-:TX;E4C[GKXMWRC3&ZFD
MA=Q&*L%K8B-5J=$JI30RB?;R&9FD^61&*ETNDY&JN)#&2"<P3T`A@9%.D,M>
MI).8[Z+-6Z03%Y(6Z42&8X-\57*Z(DR:RU6DDY+>ADL<Q))/84L<P98]?RUY
M^$H_>2UY[%KZS)5TX$H];2USU%KNG/4'#UG+G+!2CE>I9ZOE#E9+G*J6/%(M
M=9Y:YC"UW$DJ]1B5?(;Z(P>H)4]/2QZ=EC@W+7%H6N+$M,QQ*>VLM/1!:;E3
MTA\X(BUQ/DH]'"UW,DH^%BUU)EKN0+3D:6B)H]!2YZ#T0]`R)Z"ECS])'ZT;
M'.AI:;FCTE+GI#]V2.IBF8`0M9Z/E%KMR"O59DJ2+"@HZ1S*$"B+,5R2'3@Q
M*3VDSFJY29*:T4DGIX\[&:!DIY&A)+D:HV29EJ0D*093.@-Q?:%(I7/HJ$K6
M&\%*)Z?/K1ZOM%)*.VB0I;&5<F`A7W(8:4NA-@"70FU@+DEMQBY9KB$OA1"%
M+[7'P%]*`XI@LLM$81JU"L344@.+J0UJ'%-K]40FZQ$H4QM,7"8[3&BF4=/W
MB`G0U&)ZW01,DST$4I-,**RI'09>4QOTR*;1TZA-\]$VFFH'4>N!#DVR@ZO-
M0$=*KT-R*.,K*;$.XM!"%YY2AR2GCPT9NO!,.F:Y&KK,.73,4CU34++GD`S$
MY8+R&2%I#M97$Y]1TN70QI)2.4I/I"PY9H>1GM#\.)C:0$]X9AQ$KJ$G8DX<
M@L=`3^1L.(C+1$_F/#@$J8&>D`PX!*V>GBBY;P@&$SVA66\H:OH>,=$3GNS&
M+"?0$S7-C=F$TA,EP0W!H*>G8FJ;0A&:UP91ZR$(S6B#J\T01,IE0W(HPR0I
MBPWBP$^U#/EK$)T6L/#,-20Y?=S)@(4GK#'+U8!E3E5CEF+4A":I(:GUU$1(
M3X/HC=1$24R#&70$BJ2D,6MIIUJD9#2(`XOQ:!H:3&W@,C0!C5EMYC)3ZAE,
MB'(9)>D,;D"Y#$TW0U&KN(R2:(9@4',9(<4,HD>XC)1<!G&8N(R05@;3Z[D,
M3RACEA.XC)I*QFQ"N8R21(9@T'-9F?0QDE$#=&CB&$2M!SHT90RN-@,=*5D,
MR:&,KZ0T,8@#!SI#@AA$IP4Z/#4,24X?=S+0X1EAS'(UT)ESP9BE&-"A66!(
M:CW0$?*_('HCT%$ROV`&'=`A.5_,6AK0D;*](`[LX8#F><'4!J!#,[R8U6:@
M,^5VP80HT%&RNN`&%.C0?"X4M0KH*)E<"`8UT!%RN"!Z!.A(V5L0Q_]5<O;*
MJ<-`%.YY"C>I@'`'`H'.369NF2+%[1AAE$3$V!YC,LG;W]6?9<8K[=+J?-*8
ME;0ZTB"E#!WCW1:*CQLZ^L66-,XP=-RW6M*52$/'>:6%42%NZ.YYGV54<6#H
M[-,M95V(4NK;N?I.R?XH'YMZDMUHTMXWV4,^&6DG8;63T-IMFV`@C=:4XWKP
M+4:[?`\T\X3,0505_`)[!4:]*WG$9=UA1PEV1I23/,_FZS_;V2:;KC?+V6:;
MY?E-K4["'!:==,W:%0V:?NR@/$7";Z818]-@R!ERBI(0W^!Z:<X/8HK4-[?2
M3/%9UV:<?ZM"\MBS^.*2-=@^'@HK!O04C[VVB@)-+T*D?!<2I!DM[9G%6B?+
M:U>O][S>Q\9=&N:.JYMQ&J4&=ILB3:JJ&PY&,*SOU_Z<]TL-&1Z+2L/0-?X:
M.PUJ\\_`S#5&'L9ISME`%FD66YIDCAGC4]/(6>@45.D(4N1P-\%">>G-&L#Y
MH:[UCI@'ZQ%>JH**E*-9L7)LHXHOV&?]\NFZHB+GX*X5L/.EOD,[`I)QWMD]
M`L&$&6G4LW[#?E\%,O/VEQ'=3H%+<S*UI_FSP]=@9NO^@NNU_:!ZW+-VO\B$
M.7-_>'66A]X7#&IF\S*4.;-Q!SAWH&07N%TL!8TVE[P08!5Y<S8<.A`<JS6[
M[4[XT=$B'\'"TIT`>@N@W?5VM9TMG[+I;OTT6SI[?5#5PE[MGV3Y4;7MN6M_
M78-5>1D7]MY_,HU(^HLBTDE$)7F9S*V4Q=ZRC`,QI3\WCP,QI?_K1!R(*>EZ
MV@#%-$E5CBJ^-S)TEQE1T>(0,UQ%BT.T<!4M3M0P0<*$$"%<18O[]ZXB*E8\
M'J@0:E^(SS@(:%(/$P/7P^R(S.CP_9'LDJR/B4U;ZP-[5#,;0YLXGE=Z6[[;
MK6;/)FTXN%0'^2/=T"P^U!RR"2ZZYZI041]PO/Y]?7@(`0=YT7PV"R/L7_Z]
D[6_Z)%-545[=<<>PHV3GYW5S1,M-_G\7!?SB_^T?@XD:N```
`
end
Comment 8 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-06 10:16:14 UTC
State Changed
From-To: feedback->closed

Update to 1.2.2 and many fixes commiter. If problems perssist please 
open a new PR. Thanks for your effort.